	SUBROUTINE CS_CS1S ( indx, mxt, mxd, ndpth, npts, itrc, dtrace,
     +			     rmiss, trcdat, trcmin, trcmax, iret )
C************************************************************************
C* CS_CS1S								*
C*									*
C* This subroutine computes the S1 score for extended SL1L2 means.	*
C*									*
C*									*
C* CS_CS1S ( INDX, MXT, MXD, NDPTH, NPTS, ITRC, DTRACE, RMISS,		*
C*	     TRCDAT, TRCMIN, TRCMAX, IRET )				*
C*									*
C* Input parameters:							*
C*	INDX		INTEGER		Calculation selection		*
C*					indx=1 -> x direction S1 score  *
C*					indx=2 -> y direction S1 score  *
C*					indx=3 -> total S1 score	*
C*	MXT		INTEGER		Max # of traces in DTRACE	*
C*	MXD		INTEGER		Max # of values/point in DTRACE	*
C*      NDPTH		INTEGER		# of values/point in DTRACE	*
C*	NPTS		INTEGER		Number of points in the trace	*
C*	ITRC		INTEGER		Trace #				*
C*	DTRACE (MXT,MXD,						*
C*		NPTS)	REAL*8		Trace values			*
C*	RMISS		REAL		Missing value for output	*
C*									*
C*									*
C* Output parameters:							*
C*	TRCDAT (NPTS)	REAL*8		Output trace			*
C*	TRCMIN		REAL		Minimum output trace value	*
C*	TRCMAX		REAL		Maximum output trace value	*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					 -1 = computation not possible	*
C*					 -2 = invalid value for INDX	*
C**									*
C* Log:									*
C* K. Brill/HPC      20071204						*
C************************************************************************
C*
	REAL*8		dtrace (mxt,mxd,*), trcdat (*)
C*
	REAL*8		c, rux, rdx, ruy, rdy
C*-----------------------------------------------------------------------
	iret = 0
	IF ( ndpth .lt. 11 ) then
	    iret = -1
	    RETURN
	END IF
C*
	trcmin = 1.1E30
	trcmax = -1.1E30
	DO ip = 1, npts
	    td = -1.0
	    c  = dtrace (itrc,1,ip)
	    rux  = dtrace (itrc,8,ip)
	    rdx  = dtrace (itrc,9,ip)
	    ruy  = dtrace (itrc,10,ip)
	    rdy  = dtrace (itrc,11,ip)
	    IF ( c  .gt. -1.E30 .and.
     +		 rux .gt. -1.E30 .and.
     +		 rdx .gt. -1.E30 .and.
     +		 ruy .gt. -1.E30 .and.
     +		 rdy .gt. -1.E30 .and.
     +		 rdx  .gt. 0.0   .and.
     +		 rdy  .gt. 0.0   .and.
     +		 c .gt. 0.0 ) THEN
		IF ( indx .eq. 1 ) THEN
		    IF ( rux .eq. 0.0 ) THEN
		        td = 0.0
		    ELSE
		        td = rux / rdx
		        td = td * 100.0
	            END IF
		ELSE IF ( indx .eq. 2 ) THEN
		    IF ( ruy .eq. 0.0 ) THEN
		        td = 0.0
		    ELSE
		        td = ruy / rdy
		        td = td * 100.0
	            END IF
		ELSE IF ( indx .eq. 3 ) THEN
		    rux = rux + ruy
		    rdx = rdx + rdy
		    IF ( rux .eq. 0.0 ) THEN
		        td = 0.0
		    ELSE
		        td = rux / rdx
		        td = td * 100.0
	            END IF
		ELSE
		    iret = -2
		    RETURN
		END IF
		IF ( td .ge. 0.0 ) THEN
		    IF ( td .lt. trcmin ) trcmin = td
		    IF ( td .gt. trcmax ) trcmax = td
		    trcdat (ip) = td
		ELSE
		    trcdat (ip) = rmiss
		END IF
	    ELSE
		trcdat (ip) = rmiss
	    END IF
	END DO
C*
	RETURN
	END
