	SUBROUTINE PLT_ADLB ( fld, prm, lblstr, lngth, iret )
C************************************************************************
C* PLT_ADLB								*
C*									*
C* This subroutine adds a label on to a string.				*
C*									*
C* The add on to the label in LBLSTR is ^FLD = PRM, where ^ denotes a	*
C* space.								*
C*									*
C* PLT_ADLB  ( FLD, PRM, LBLSTR, LNGTH, IRET )				*
C*									*
C* Input parameters:							*
C*	FLD		CHAR*		Name of header/field category	*
C*	PRM		CHAR*		Name of category element	*
C*									*
C* Input and Output parameters:						*
C*	LBLSTR		CHAR*		Label string			*
C*	LNGTH		INTEGER		Length of label string		*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					 +8 = LBLSTR length exceeded	*
C**									*
C* Log:									*
C* K. Brill/EMC		12/97						*
C************************************************************************
	CHARACTER*(*)	fld, prm, lblstr
C*
	CHARACTER*64	scrtch
C*------------------------------------------------------------------------
	iret = 0
	mxl = LEN ( lblstr )
	CALL ST_LSTR ( prm, lg, ier )
	CALL ST_LSTR ( fld, lf, ier )
	IF ( fld .eq. ' ' ) THEN
	    scrtch = ' ' // prm (1:lg)
	    lf = -1
	ELSE
	    scrtch = ' ' // fld (1:lf) // '=' // prm (1:lg)
	END IF
	lg = lg + lf + 2
	lnglg = lngth + lg
	IF ( lngth .ne. 0 .and. lnglg .le. mxl ) THEN
	    lblstr = lblstr (1:lngth) // scrtch (1:lg)
	    lngth = lngth + lg
	ELSE IF ( lngth .eq. 0 ) THEN
	    lblstr = scrtch (2:lg)
	    lngth = lg - 1
	ELSE IF ( lngth .gt. mxl ) THEN
	    iret = +8
	END IF
C*
	RETURN
	END
