	SUBROUTINE PLT_BXER ( iret )
C************************************************************************
C* PLT_BXER								*
C*									*
C* This subroutine write out all box-whisker errors that occurred.	*
C*									*
C* PLT_BXER  ( IRET )							*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Relayed return code		*
C*				 	  0 = Normal return		*
C**									*
C* Log:									*
C* K. Brill/HPC		03/12						*
C* K. Brill/HPC      20120402	Check bxwfnd for RETURN			*
C* K. Brill/HPC      20120518	Add error # 8				*
C* K. Brill/HPC      20130314	Add error # 9				*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	LOGICAL		ccer
C*------------------------------------------------------------------------
	iret = 0
	ccer = .false.
C*
	IF ( .not. bxwfnd .or. nbxerr .eq. 0 ) RETURN
C*
	WRITE (6,*)
     +  ' ERRORS detected associated with box-whisker request:'
C*
	DO ierr = 1, nbxerr
	    IF ( ibxerr (ierr) .eq. 1 ) THEN
		WRITE (6,*)
     +		' COMP CODES must be same for paired/grouped traces.'
		ccer = .true.
	    ELSE IF ( ibxerr (ierr) .eq. 2 ) THEN
		WRITE (6,*)
     +		' # of pairs must be same for all COMP CODE groups.'
		ccer = .true.
	    ELSE IF ( ibxerr (ierr) .eq. 3 ) THEN
		WRITE (6,*)
     +		' There are no trace pairs.'
		ccer = .true.
	    ELSE IF ( ibxerr (ierr) .eq. 4 ) THEN
		WRITE (6,*)
     +		' All COMP CODE groups must have same CODES.'
		ccer = .true.
	    ELSE IF ( ibxerr (ierr) .eq. 5 ) THEN
		WRITE (6,*)
     +		' All traces must have the same number of X points.'
	    ELSE IF ( ibxerr (ierr) .eq. 6 ) THEN
		WRITE (6,*)
     +		' Resampling driver returned with errors.'
	    ELSE IF ( ibxerr (ierr) .eq. 7 ) THEN
		WRITE (6,*)
     +		' Unexpected box-whisker object count returned.'
	    ELSE IF ( ibxerr (ierr) .eq. 8 ) THEN
		WRITE (6,*)
     +		' BXWSKR objects not allowed for display methods 3--5.'
	    ELSE IF ( ibxerr (ierr) .eq. 9 ) THEN
		WRITE (6,*)
     +		' TRACE #s must be repeated for subsequent COMP CODES.'
	    END IF
	END DO
C*
	IF ( ccer ) THEN
	    WRITE (6,*)
     +	    ' Check trace number and COMP CODE specifications.'
	END IF
C*
	RETURN
	END
