	SUBROUTINE PLT_ERRO ( i, usrmsg, iret )
C************************************************************************
C* PLT_ERRO								*
C*									*
C* This subroutine writes a VSDB graphics software error message.	*
C*									*
C* The USRMSG is not printed if it is blank.				*
C*									*
C* PLT_ERRO  ( I, USRMSG, IRET )					*
C*									*
C* Input parameters:							*
C*	I		INTEGER		Value of a return code		*
C*	USRMSG		CHAR*		User reference message		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		12/97						*
C* K. Brill/EMC		 4/98	Clean up / bug fixes			*
C* K. Brill/EMC		10/98	+9 error for month/year labels		*
C* K. Brill/EMC		 1/99	% difference error messages; error for	*
C*				open failure on text output file	*
C* K. Brill/EMC		 4/99	Error -24				*
C* K. Brill/EMC		10/99	Error -25				*
C* K. Brill/HPC		01/00	Error +10				*
C* K. Brill/HPC		03/01	Error +11, -26				*
C* K. Brill/HPC		04/01	Error +12, remove -26			*
C* K. Brill/HPC		05/01	Error 26 & 27				*
C* K. Brill/HPC		 5/03	Error +13				*
C* K. Brill/HPC	     20061204   Error -28, -29, & -30			*
C* K. Brill/HPC      20070122   Error -31 -> -37			*
C* K. Brill/HPC      20081119   Change wording for warning # 12		*
C* K. Brill/HPC      20120320	Errors -38 & -39			*
C* K. Brill/HPC      20120416   Error +14				*
C* K. Brill/HPC      20120420   Errors -41 & -42			*
C* K. Brill/HPC      20120622   Errors -43 -> -45			*
C* K. Brill/WPC      20130320	Error -46				*
C* K. Brill/IMSG     20160719   Error -47 -> -50                        *
C************************************************************************
	CHARACTER*(*)	usrmsg
C*
C*-----------------------------------------------------------------------
	iret = 0
	IF ( usrmsg .ne. ' ' ) THEN
	    WRITE (6,*) usrmsg
	END IF
	IF ( i .eq. 14 ) WRITE (6,*)
     +		   '14 = Warning:  Invalid input for NSMPLS'
	IF ( i .eq. 13 ) WRITE (6,*)
     +		   '13 = Warning:  Invalid input for REFLIN'
	IF ( i .eq. 12 ) WRITE (6,*)
     +		   '12 = No traces are plotted vs left-side Y axis.'
	IF ( i .eq. 11 ) WRITE (6,*)
     +		 '+11 = Warning:  Reversing axses---no right-side ',
     +		 'Y-AXIS will be drawn.'
	IF ( i .eq. 10 ) WRITE (6,*)
     +		 '+10 = Warning:  Hardware text may not rotate.  ',
     +		 'Y-AXIS label may vanish.'
	IF ( i .eq. 9 ) WRITE (6,*)
     +		 '+09 = Warning:  Failed to find start of first day.'
	IF ( i .eq. 8 ) WRITE (6,*)
     +		 '+08 = Warning:  Label string length exceeded.'
	IF ( i .eq. 7 ) WRITE (6,*)
     +		 '+07 = Warning:  Could not make title for this plot'
	IF ( i .eq. 6 ) WRITE (6,*)
     +		 '+06 = Warning:  Invalid input for LABLEV'
	IF ( i .eq. 5 ) WRITE (6,*)
     +		 '+05 = Warning:  Invalid input for BORDER'
	IF ( i .eq. 4 ) WRITE (6,*)
     +		 '+04 = Warning:  Invalid graphics control file keyword'
	IF ( i .eq. 3 ) WRITE (6,*)
     +		 '+03 = Warning:  counts for bins or thresholds differ'
	IF ( i .eq. 2 ) WRITE (6,*)
     +		 '+02 = Warning:  # of bins or thresholds differs'
	IF ( i .eq. 1 ) WRITE (6,*)
     +		 '+01 = Too many X axis labels'
	IF ( i .eq. 0 ) WRITE (6,*)
     +		 '  0 = normal return'
	IF ( i .eq. -1 ) WRITE (6,*)
     +		  '-01 = Cannot start graphics processing'
	IF ( i .eq. -2 ) WRITE (6,*)
     +		  '-02 = Cannot set output graphics device'
	IF ( i .eq. -3 ) WRITE (6,*)
     +		  '-03 = Invalid user-specified over-ride plot type'
	IF ( i .eq. -4 ) WRITE (6,*)
     +		  '-04 = The plotting method is invalid'
	IF ( i .eq. -5 ) WRITE (6,*)
     +		  '-05 = scatter plot requires two and only two traces'
	IF ( i .eq. -6 ) WRITE (6,*)
     +		  '-06 = error in RDTD_TRC'
	IF ( i .eq. -7 ) WRITE (6,*)
     +		  '-07 = final plot type is invalid'
	IF ( i .eq. -8 ) WRITE (6,*)
     +		  '-08 = number of traces exceeds maximum allowed'
	IF ( i .eq. -9 ) WRITE (6,*)
     +		  '-09 = unrecognized input for PANEL control parm'
	IF ( i .eq. -10 ) WRITE (6,*)
     +		   '-10 = unable to set PANEL view region in graphics'
	IF ( i .eq. -11 ) WRITE (6,*)
     +		   '-11 = invalid y axis type in PTYPE control parm'
	IF ( i .eq. -12 ) WRITE (6,*)
     +		   '-12 = invalid input for L_TEXT/T_TEXT control parm'
	IF ( i .eq. -13 ) WRITE (6,*)
     +		   '-13 = trace label number exceeds max allowed'
	IF ( i .eq. -14 ) WRITE (6,*)
     +		   '-14 = ERROR FROM GEMPLT'
	IF ( i .eq. -15 ) WRITE (6,*)
     +		   '-15 = Line number is out of range in PLT_GLIN'
	IF ( i .eq. -16 ) WRITE (6,*)
     +		   '-16 = Marker number is out of range in PLT_GMRK'
	IF ( i .eq. -17 ) WRITE (6,*)
     +		   '-17 = # of data counts not = to # of x axis labels'
	IF ( i .eq. -18 ) WRITE (6,*)
     +		   '-18 = time series requires "t" label type'
	IF ( i .eq. -19 ) WRITE (6,*)
     +		   '-19 = date-time in time axis range is invalid'
	IF ( i .eq. -20 ) WRITE (6,*)
     +		   '-20 = Cannot plot % difference as a scatter plot.'
	IF ( i .eq. -21 ) WRITE (6,*)
     +		   '-21 = Traces for % diff must have same # of points.'
	IF ( i .eq. -22 ) WRITE (6,*)
     +		   '-22 = Cannot open output file text device.'
	IF ( i .eq. -23 ) WRITE (6,*)
     +		   '-23 = Cannot write to output file text device.'
	IF ( i .eq. -24 ) WRITE (6,*)
     +		   '-24 = Trace number entered is invalid.'
	IF ( i .eq. -25 ) WRITE (6,*)
     +		   '-25 = No user input for DEVICE.'
	IF ( i .eq. -26 ) WRITE (6,*)
     +		   '-26 = RPF histogram requires more than one trace.'
	IF ( i .eq. -27 ) WRITE (6,*)
     +		   '-27 = RPF histogram traces point counts differ.'
	IF ( i .eq. -28 ) WRITE (6,*)
     +		   '-28 = Exactly 2 traces required for significance ',
     +                    'analysis.'
	IF ( i .eq. -29 ) WRITE (6,*)
     +		   '-29 = Traces must have same # of points for ',
     +                    'significance analysis.'
	IF ( i .eq. -30 ) WRITE (6,*)
     +		   '-30 = Cannot open fvs_sig_test1.txt output file.'
	IF ( i .eq. -31 ) WRITE (6,*)
     +		   '-31 = Must have COMP CODE=1360 for attribute ',
     +                    'diagram, and vice-versa.'
	IF ( i .eq. -32 ) WRITE (6,*)
     +		   '-32 = number of reliability + frequency traces ',
     +                    'exceeds maximum allowed.'
	IF ( i .eq. -33 ) WRITE (6,*)
     +		   '-33 = The number of trace points in an attribute ',
     +                    'diagram trace must be even.'
	IF ( i .eq. -34 ) WRITE (6,*)
     +		   '-34 = Cannot compute scores for an attribute ',
     +                    'diagram trace.'
	IF ( i .eq. -35 ) WRITE (6,*)
     +		   '-35 = Zero points in merged x-axis value arrays.'
	IF ( i .eq. -36 ) WRITE (6,*)
     +		   '-36 = X-axis values are not in ascending order.'
	IF ( i .eq. -37 ) WRITE (6,*)
     +		   '-37 = Merged value array exceeds max # of points.'
	IF ( i .eq. -38 ) WRITE (6,*)
     +		   '-38 = X point counts differ for resampling traces.'
	IF ( i .eq. -39 ) WRITE (6,*)
     +		   '-39 = Resampling error occurred.'
	IF ( i .eq. -40 ) WRITE (6,*)
     +		   '-40 = Resampling error--box object count is wrong.'
	IF ( i .eq. -41 ) WRITE (6,*)
     +		   '-41 = Cannot open box-whisker output text file.'
	IF ( i .eq. -42 ) WRITE (6,*)
     +		   '-42 = Cannot write to box-whisker output text file.'
	IF ( i .eq. -43 ) WRITE (6,*)
     +		   '-43 = Invalid attributes for box-whisker ',
     +			  'annotation text.'
	IF ( i .eq. -44 ) WRITE (6,*)
     +		   '-44 = Invalid coordinates for box-whisker ',
     +			  'annotation text position.'
	IF ( i .eq. -45 ) WRITE (6,*)
     +		   '-45 = Box-whisker text annotation box could not ',
     +			  'be displayed.'
	IF ( i .eq. -46 ) WRITE (6,*)
     +		   '-46 = Calibration probabilities must increase ',
     +			  'monotonically.'
	IF ( i .eq. -47 ) WRITE (6,*)
     +		   '-47 = Must have COMP CODE=2370 for CRPS ',
     +                    'reliability diagram, and vice-versa.'
	IF ( i .eq. -48 ) WRITE (6,*)
     +		   '-48 = Cannot compute scores for an quantile ',
     +                    'reliability diagram trace.'
	IF ( i .eq. -49 ) WRITE (6,*)
     +		   '-49 = ALL CRPS traces must have the same ',
     +                    'calibration.'
	IF ( i .eq. -50 ) WRITE (6,*)
     +		   '-50 = ALL CRPS traces must have the same ',
     +                    'VSDB data depth.'
	RETURN
	END
