	SUBROUTINE PLT_GTRC ( mp, mt, ntrc, trc, xpts, npts, iret )
C************************************************************************
C* PLT_GTRC								*
C*									*
C* This subroutine draws simple line plots of traces.			*
C*									*
C* The label symbols are plotted with the frequency given in ILLBLS	*
C* in the LINE common data structure.					*
C*									*
C* PLT_GTRC  ( MP, MT, NTRC, TRC, XPTS, NPTS, IRET )			*
C*									*
C* Input parameters:							*
C*	MP		INTEGER		Maximum points on a trace	*
C*	MT		INTEGER		Maximum number of traces	*
C*	NTRC		INTEGER		Number of traces to plot	*
C*	TRC (MP,MT)	REAL		Trace data			*
C*	XPTS (MP,MT)	REAL		x coordinates of trace points	*
C*	NPTS (MT)	INTEGER		Number of trace points		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		 1/98						*
C* K. Brill/EMC		 5/98	CALL PLT_GWIT				*
C* K. Brill/HPC		 3/01	Changes for right-side y axis		*
C* K. Brill/HPC		 3/04	Add histogram plotting using PLT_GHGM	*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	REAL		trc (mp,mt), xpts (mp,mt)
	INTEGER		npts (*)
C*-----------------------------------------------------------------------
	iret = 0
C
C*	Do histogram traces first:
C
	nhgm = 0
	DO it = 1, ntrc
C
C*	    Determine left or right coordinate system.
C
	    IF ( rhttrc (it) ) THEN
		CALL GSGRAF ( 1, iyrxis, aspect, xaxbeg, yrxbeg,
     +			      xaxend, yrxend, ierr )
	    END IF
	    CALL PLT_GHGM ( it, 'M', npts (it), xpts (1,it), trc (1,it),
     +			    nhgm, ier )
C
C*	    Return coordinate to left side system.
C
	    IF ( rhttrc (it) ) THEN
		CALL GSGRAF ( 1, iyaxis, aspect, xaxbeg, yaxbeg,
     +			      xaxend, yaxend, ierr )
	    END IF
	END DO
C*
	DO it = 1, ntrc
	    IF ( ihstcl (it) .eq. 0 ) THEN
C
C*		Determine left or right coordinate system.
C
		IF ( rhttrc (it) ) THEN
		    CALL GSGRAF ( 1, iyrxis, aspect, xaxbeg, yrxbeg,
     +			          xaxend, yrxend, ierr )
		END IF
C
C*		Draw the line for this trace.
C
		CALL PLT_GLIN ( it, 'M', npts (it), xpts (1,it),
     +				trc (1,it), ierr )
		IF ( ierr .eq. 0 ) THEN
C
C*		    Plot the markers.
C
		    IF ( illbls (it) .eq. 1 ) THEN
		        CALL PLT_GMRK ( it, 'M', npts (it),
     +				        xpts (1,it), trc (1,it), ierr )
		    ELSE
			DO ip = 1, npts (it), illbls (it)
			    CALL PLT_GMRK ( it, 'M', 1,
     +				            xpts (ip,it), trc (ip,it),
     +					    ierr )
			    IF ( ierr .ne. 0 ) RETURN
			END DO
		    END IF
		END IF
C
C*		Return coordinate to left side system.
C
		IF ( rhttrc (it) ) THEN
		    CALL GSGRAF ( 1, iyaxis, aspect, xaxbeg, yaxbeg,
     +			          xaxend, yaxend, ierr )
		END IF
	    END IF
	END DO
C
C*	Plot any witness lines.
C
	CALL PLT_GWIT ( iret )
	IF ( rhtdrw ) THEN
	    CALL GSGRAF ( 1, iyrxis, aspect, xaxbeg, yrxbeg,
     +			  xaxend, yrxend, ierr )
	    CALL PLT_GRWT ( iret )
	    CALL GSGRAF ( 1, iyaxis, aspect, xaxbeg, yaxbeg,
     +			  xaxend, yaxend, ierr )
	END IF
C*
	RETURN
	END
