	SUBROUTINE PLT_GTXT  ( text, hardwr, iret )
C************************************************************************
C* PLT_GTXT								*
C*									*
C* This subroutine sets the graphics text characteristics according to	*
C* the control information in TEXT.					*
C*									*
C* The relevant control file entries are formatted as follows:		*
C*									*
C*	L_TEXT = Text size/font/width/hw flag for axis labeling text	*
C*	T_TEXT = Text size/font/width/hw flag for title text		*
C*									*
C* PLT_GTXT  ( TEXT, HARDWR, IRET )					*
C*									*
C* Input parameters:							*
C*	TEXT		CHAR*		Input string of text info	*
C*									*
C* Output parameters:							*
C*      HARDWR		LOGICAL		Flag for hardware text set	*
C*	IRET		INTEGER		Return code			*
C*					-12 = invalid text information	*
C*					  0 = normal return		*
C**									*
C* Log:									*
C* K. Brill/EMC		 1/98	Create from IN_TEXT			*
C* K. Brill/EMC		 2/99	New calling sequence for GSTEXT		*
C* K. Brill/HPC		01/00	Fix so that TEXT is not changed; return	*
C*				the HARDWR flag				*
C************************************************************************
	CHARACTER*(*)	text
	LOGICAL		hardwr
C*
	REAL		rtext (3)
	CHARACTER	ctext*80
C------------------------------------------------------------------------
	iret = 0
C
C*	Check for hw/sw flag in string.
C
	ihwsw = 0
	CALL ST_LCUC ( text, ctext, ier )
	CALL ST_RMST ( ctext, '/HW', ihwpos, ctext, ier )
	CALL ST_RMST ( ctext, '/SW', iswpos, ctext, ier )
	ipos = ihwpos + iswpos
	IF ( ipos .eq. 0 ) THEN
C
C*          Check for flag at beginning of string
C
      	    CALL ST_RMST ( ctext, 'HW/', ihwpos, ctext, ier )
	    CALL ST_RMST ( ctext, 'SW/', iswpos, ctext, ier )
            ipos = ihwpos + iswpos
        END IF
C
        IF  ( ipos .ne. 0 )  THEN
            IF ( ihwpos .ne. 0 ) THEN
		ihwsw = 2
	    ELSE 
		ihwsw = 1
	    END IF
	    CALL ST_LSTR ( ctext, lenstr, ier )
	    ctext = ctext ( : lenstr )
	END IF
C
C*	Get three reals from the string.
C
	CALL ST_RLST  ( ctext, '/', 0., 3, rtext, n, ier )
C
C*	Check on text size.
C
	IF  ( rtext (1) .le. 0. )  THEN
	    siztxt = -1.
	  ELSE 
	    siztxt = rtext (1)
	END IF
C
C*	Get text font. and type.
C
	ifont = NINT ( rtext (2) )
C
C*      Get text width
C
	itxwid = nint ( rtext (3) )
	IF ( itxwid .lt. 0 ) itxwid = 0
C
C*	Set text attributes.
C
	CALL GSTEXT  ( ifont, ihwsw, siztxt, itxwid, 0, 0, 0, ier )
	IF ( ier .ne. 0 ) iret = -12
	CALL GQTEXT ( ifxfn, ihard, sztx, itw, ibrd, iro, ij, ier )
	hardwr = ( ihard .eq. 2 )
C*
	RETURN
	END
