	SUBROUTINE PLT_GWIT  ( iret )
C************************************************************************
C* PLT_GWIT								*
C*									*
C* This subroutine draws all witness lines on a graph.			*
C*									*
C* The relevant control file entry is formatted as follows:		*
C*									*
C*	WITLIN   = Line colors/types/widths/values of witness lines	*
C*									*
C* PLT_GWIT  ( IRET )							*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*					  0 = normal return		*
C*					-14 = GEMPLT error		*
C**									*
C* Log:									*
C* K. Brill/EMC		 5/98						*
C* K. Brill/EMC		 4/99	Changes for reversed coordinates	*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	REAL		x (2), y (2)
C*
C------------------------------------------------------------------------
	iret = 0
	IF ( nwline .eq. 0 ) RETURN
C
C*	Find graph bounds.
C
	IF ( revers ) THEN
	    CALL GQBND ( 'M', y (1), x (1), y (2), x (2), ierrg )
	ELSE
	    CALL GQBND ( 'M', x (1), y (1), x (2), y (2), ierrg )
	END IF
C*
	IF ( ierrg .ne. 0 ) THEN
	    iret = -14
	    CALL PLT_ERRO ( iret, ' ', ier )
	    RETURN
	END IF
C
C*	Save current color number.
C
	CALL GQCOLR ( iclrsv, ier )
C
C*	Loop over all lines.
C
	DO nline = 1, nwline
C
C*	    If color number is zero, do not do anything.
C
	    IF ( iwcolr (nline) .gt. 0 ) THEN
C
C*		Set new color.
C
		CALL GSCOLR ( iwcolr (nline), ier )
C
C*		Set line attributes.
C
		CALL GSLINE ( iwdash (nline), 0, iwwdth (nline), 0,
     +			      ierrg )
		IF ( ierrg .ne. 0 ) THEN
		    CALL PLT_PERR ( ierrg, iret )
		    CALL GSCOLR ( iclrsv, ier )
		    RETURN
		END IF
		y (1) = rwvals (nline)
		y (2) = y (1)
C
C*		Draw the line.
C
		IF ( revers ) THEN
		    CALL GLINE ( 'M', 2, y, x, ierrg )
		ELSE
		    CALL GLINE ( 'M', 2, x, y, ierrg )
		END IF
		IF ( ierrg .ne. 0 ) THEN
		    CALL PLT_PERR ( ierrg, iret )
		    CALL GSCOLR ( iclrsv, ier )
		    RETURN
		END IF
	    END IF
	END DO
C
C*	Restore original color number.
C
	CALL GSCOLR ( iclrsv, ier )
C*
	RETURN
	END
