	SUBROUTINE PLT_IAXL  ( iax, clbl, iret )
C************************************************************************
C* PLT_IAXL								*
C*									*
C* This subroutine translates the input for an axis label, yeilding	*
C* the label string and its displacement in integer character size	*
C* units from the margin of the view region for the plot.		*
C*									*
C* The control file entry is formatted as follows:			*
C*									*
C*	iLABEL  = label string/number of character size units		*
C*									*
C* where i = X or Y.							*
C*									*
C* PLT_IAXL is also used for the right-side y axis label, entered as	*
C*									*
C*	YRLBEL = label string/number of character size units		*
C*									*
C* PLT_IAXL  ( IAX, CLBL, IRET )					*
C*									*
C* Input parameters:							*
C*	IAX		INTEGER		Axis identifier flag:		*
C*					  1 = X axis; 2 = Y axis; or	*
C*					  3 = r.s. Y axis label		*
C*	CLBL		CHAR*		Input string for axis label	*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*					  0 = normal return		*
C**									*
C* Log:									*
C* K. Brill/EMC		 1/99						*
C* K. Brill/HPC		 3/01	Changes for right-side y axis		*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	CHARACTER*(*)	clbl
C*
	LOGICAL		found
	CHARACTER	lbl*128
C------------------------------------------------------------------------
	iret = 0
C*
	CALL ST_LSTR ( clbl, lng, ier )
	found = .false.
	nc = lng + 1
	DO WHILE ( .not. found .and. nc .gt. 1 )
	    nc = nc - 1
	    found = ( clbl (nc:nc) .eq. '/' )
	END DO
	IF ( found ) THEN
	    CALL ST_NUMB ( clbl (nc+1: ), ival, ier )
	    IF ( ier .eq. 0 ) THEN
		nchar = ival
		IF ( nchar .le. 0 ) nchar = 1
	    ELSE
		nchar = 1
	    END IF
	    IF ( nc .gt. 1 ) THEN
		lbl = clbl (1:nc-1)
	    ELSE
		lbl = ' '
	    END IF
	ELSE
	    nchar = 1
	    IF ( lng .gt. 0 ) THEN
		lbl = clbl (1:lng)
	    ELSE
		lbl = ' '
	    END IF
	END IF
	IF ( iax .eq. 1 ) THEN
	    xaxlbl = lbl
	    nxchar = nchar
	ELSE IF ( iax .eq. 2 ) THEN
	    yaxlbl = lbl
	    nychar = nchar
	ELSE
	    yrxlbl = lbl
	    nychrr = nchar
	END IF
C*
	RETURN
	END
