	SUBROUTINE PLT_ILLV ( string, iret )
C************************************************************************
C* PLT_ILLV								*
C*									*
C* This subroutine sets the label action level parameter.		*
C*									*
C* The control file entry is of the following format:			*
C*									*
C*	LABLEV = label level						*
C*									*
C* The label level parameter (LABLEV) is interpreted as follows:	*
C*									*
C*  LABLEV 		Action						*
C*    0		No labels						*
C*    1		Default labels						*
C*    2		Plot user defined title and trace key labels		*
C*									*
C* Note:  LABLEV does NOT apply to axis labels, which are always	*
C*        drawn.							*
C*									*
C* PLT_ILLV ( STRING, IRET )						*
C*									*
C* Input parameters:							*
C*	STRING		CHAR*		Input character string		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					 +6 = invalid string		*
C**									*
C* Log:									*
C* K. Brill/EMC		 1/98						*
C* K. Brill/EMC		 4/98	Clean up / bug fixes			*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	CHARACTER*(*)	string
C*
C*-----------------------------------------------------------------------
	iret = 0
	CALL ST_NUMB ( string, ival, ier )
	IF ( ier .ge. 0 .and. ival .ge. 0 .and. ival .le. 2 ) THEN
	    lablev = ival
	ELSE
	    iret = 6
	END IF
C*
	RETURN
	END
