	SUBROUTINE PLT_IRSZ ( string, iret )
C************************************************************************
C* PLT_IRSZ								*
C*									*
C* This subroutine sets the number of trials for resampling.		*
C*									*
C* The control file entry is of the following format:			*
C*									*
C*	NSMPLS = number of trials					*
C*									*
C* PLT_IRSZ ( STRING, IRET )						*
C*									*
C* Input parameters:							*
C*	STRING		CHAR*		Input character string		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					+14 = invalid string		*
C**									*
C* Log:									*
C* K. Brill/HPC		 4/12						*
C* K. Brill/HPC      20120615	Assign nsmpls				*
C* K. Brill/HPC      20120706   Modify error checking			*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	CHARACTER*(*)	string
C*
C*-----------------------------------------------------------------------
	iret = 0
	CALL ST_NUMB ( string, nsz, ier )
	IF ( ier .ne. 0 ) THEN
	    nsz = 0
	    iret = 14
	END IF
	CALL RSMP_SIZ ( nsz, ier )
	nsmpls = nsz
C*
	RETURN
	END
