	SUBROUTINE PLT_ITRC  ( ckey, clbl, iret )
C************************************************************************
C* PLT_ITRC								*
C*									*
C* This subroutine translates the input for a trace label, yeilding	*
C* the label string and the flag for plotting the trace average.	*
C*									*
C* The control file entry is formatted as follows:			*
C*									*
C*	TRACE[n]  = label string[+]					*
C*									*
C* where n is the trace number and the optional terminating plus (+)	*
C* triggers the plotting of the	average for the trace.  If the entry	*
C* is TRACE=+, the default trace labels will all be followed by the	*
C* average.								*
C*									*
C* PLT_ITRC  ( CKEY, CLBL, IRET )					*
C*									*
C* Input parameters:							*
C*	CKEY		CHAR*		Input string with trace ID	*
C*	CLBL		CHAR*		Input string for trace label	*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*					  0 = normal return		*
C*					-13 = too many trace labels	*
C*					-24 = invalid trace number	*
C**									*
C* Log:									*
C* K. Brill/EMC		 4/99						*
C* K. Brill/HPC		 5/03	Set USRLBL				*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	CHARACTER*(*)	ckey, clbl
C*
	CHARACTER	lbl*128
C------------------------------------------------------------------------
	iret = 0
C*
	CALL ST_RMBL ( ckey, lbl, lnx, ier )
	CALL ST_ALNM  ( ckey(lnx:lnx), ityp, ier )
	IF ( ityp .ne. 1 ) THEN
	    iq = INDEX ( clbl, '+' )
	    IF ( iq .ne. 0 ) THEN
		DO i = 1, MAXLIN
		    ltravg (i) = .true.
		END DO
	    ELSE
		iret = -24
	    END IF
	    RETURN
	END IF
	iq = INDEX ( ckey, 'TRACE' ) + 5
	lbl = ckey (iq:)
	CALL ST_NUMB ( lbl, itrc, ier )
	IF ( itrc .gt. MAXLIN ) THEN
	    iret = -13
	    RETURN
	ELSE IF ( itrc .le. 0 .or. ier .lt. 0 ) THEN
	    iert = -24
	    RETURN
	END IF
	CALL ST_LDSP ( clbl, lbl, lnx, iret )
	iq = INDEX ( lbl (lnx:lnx), '+' )
	IF ( iq .ne. 0 ) THEN
	    ltravg (itrc) = .true.
	    trclbl (itrc) = lbl (1:lnx-1)
	    usrlbl (itrc) = lnx .gt. 1
	ELSE
	    trclbl (itrc) = lbl
	    usrlbl (itrc) = lnx .gt. 0
	END IF
C*
	RETURN
	END
