	SUBROUTINE PLT_ITYP  ( ptype, iret )
C************************************************************************
C* PLT_ITYP								*
C*									*
C* This subroutine translates the input for PTYPE and sets internal	*
C* values for the axis type, the height-to-width ratio, and margins.	*
C*									*
C* The control file entry is formatted as follows:			*
C*									*
C*	PTYPE  = l.s. ; r.s. yaxis plot type/h:w ratio/lm;bm;rm;tm	*
C*									*
C* where LM is the left margin, BM the bottom margin, RM the right	*
C* margin, and TM the top margin, usually in units of character widths. *
C*									*
C* If no right-side y-axis plot type is specified, it is assumed to be	*
C* the same as the left side.						*
C*									*
C* PLT_ITYP  ( PTYPE, IRET )						*
C*									*
C* Input parameters:							*
C*	PTYPE		CHAR*		Input string for y axis type	*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*					-11 = invalid y axis type	*
C*					  0 = normal return		*
C**									*
C* Log:									*
C* K. Brill/EMC		 1/98	Create from IN_PTYP			*
C* K. Brill/HPC		 3/01	Changes for right-side y axis type	*
C************************************************************************
	INCLUDE		'plt.cmn'
C*
	CHARACTER*(*)	ptype
C*
	CHARACTER	pptype (2)*24, ppp (3)*24
C------------------------------------------------------------------------
	iret = 0
C
C*	Break the input string into two parts.
C
	CALL ST_CLST  ( ptype, '/', ' ', 3, ppp, n, ier )
C
C*	Find the type of y axis.
C
	CALL ST_LCUC  ( ppp (1), ppp (1), ier )
	CALL ST_CLST  ( ppp (1), ';', ' ', 2, pptype, nt, ier )
	IF  ( pptype (1) .eq. 'LIN' )  THEN
	    iyaxis = 1
	  ELSE IF  ( pptype (1) .eq. 'LOG' )  THEN
	    iyaxis = 2
	  ELSE
	    iret = -11
	    RETURN
	END IF
	IF ( nt .eq. 2 ) THEN
	    IF  ( pptype (2) .eq. 'LIN' )  THEN
		iyrxis = 1
	    ELSE IF  ( pptype (2) .eq. 'LOG' )  THEN
		iyrxis = 2
	    ELSE
		iret = -11
		RETURN
	    END IF
	ELSE
	    iyrxis = iyaxis
	END IF
C
C*	Get the height to width ratio, which is found after a slash in
C*	PTYPE.
C
	IF  ( ppp (2) .eq. ' ' )  THEN
	    aspect = 0.0
	  ELSE
	    CALL ST_RLST  ( ppp (2), '/', 0., 1, aspect, n, ir )
	END IF
C
C*	Get the margins.
C
	IF ( ppp (3) .ne. ' ' ) THEN
	    CALL ST_RLST  ( ppp (3), ';', 0., 4, rmlbrt, n, ir )
	END IF
C*
	RETURN
	END
