	SUBROUTINE PLT_XLBS ( mxpts, npts, xpts, clbl, rlbl,
     +			      nplbl, xplbl, cplbl, rplbl, iret )
C************************************************************************
C* PLT_XLBS								*
C*									*
C* This subroutine extends the list of X axis labels at both ends,	*
C* given a new set of labels as input.					*
C*									*
C* If NPLBL = 0, the output arrays are initialized to the values input.	*
C*									*
C* PLT_XLBS  ( MXPTS, NPTS, XPTS, CLBL, RLBL, NPLBL, XPLBL, CPLBL,	*
C*	       RPLBL, IRET )						*
C*									*
C* Input parameters:							*
C*	MXPTS		INTEGER		Maximum array size		*
C*	NPTS		INTEGER		Number of points		*
C*	XPTS (NPTS)	REAL		x positions of labels		*
C*	CLBL (NPTS)	CHAR*		Character labels		*
C*	RLBL (NPTS)	REAL		Real labels			*
C*									*
C* Input and output parameters:						*
C*	NPLBL		INTEGER		# of points in output arrays	*
C*	XPLBL (NPLBL)	REAL		x positions to extend		*
C*	CPLBL (NPLBL)	CHAR*		Character labels to extend	*
C*	RPLBL (NPLBL)	REAL		Real labels to extend		*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					 +1 = too many labels		*
C**									*
C* Log:									*
C* K. Brill/EMC		12/97						*
C************************************************************************
	REAL		xpts (*), rlbl (*), xplbl (*), rplbl (*)
	CHARACTER*(*)	clbl (*), cplbl (*)
C*------------------------------------------------------------------------
	iret = 0
C*	
	IF ( nplbl .eq. 0 ) THEN
	    DO i = 1, npts
		xplbl (i) = xpts (i)
		cplbl (i) = clbl (i)
		rplbl (i) = rlbl (i)
	    END DO
	    nplbl = npts
	    RETURN
	END IF
C
C*	Add on at the beginning if necessary.
C
	icnt = 0
	i = 1
	DO WHILE ( i .le. npts .and. xpts (i) .lt. xplbl (1) )
	    icnt = icnt + 1
	    i = i + 1
	END DO
	nplbl = nplbl + icnt
	IF ( nplbl .gt. mxpts ) THEN
	    iret = +1
	    RETURN
	END IF
	IF ( icnt .gt. 0 ) THEN
	    DO i = nplbl, icnt+1, -1
		xplbl (i) = xplbl (i-icnt)
		cplbl (i) = cplbl (i-icnt)
		rplbl (i) = rplbl (i-icnt)
	    END DO
	    DO i = 1, icnt
		xplbl (i) = xpts (i)
		cplbl (i) = clbl (i)
		rplbl (i) = rlbl (i)
	    END DO
	END IF
C
C*	Add onto the end.
C
	icnt = 0
	i = npts
	DO WHILE ( i .gt. 0 .and. xpts (i) .gt. xplbl (nplbl) )
	    icnt = icnt + 1
	    i = i - 1
	END DO
	IF ( nplbl + icnt .gt. mxpts ) THEN
	    iret = +1
	    RETURN
	END IF
	IF ( icnt .gt. 0 )  THEN
	    istrt = nplbl + 1
	    nplbl = nplbl + icnt
	    DO j = istrt, nplbl
		i = i + 1
		xplbl (j) = xpts (i)
		cplbl (j) = clbl (i)
		rplbl (j) = rlbl (i)
	    END DO
	END IF
C*
	RETURN
	END
