	PROGRAM CG2GD
C************************************************************************
C* This program reads a text control grid file created by GPMKCG and	*
C* converts it to a GEMPAK grid file.					*
C*									*
C* Log:									*
C* K. Brill/HPC		 8/03						*
C* K. Brill/HPC		12/04	Change for new GD library file mngmnt	*
C* K. Brill/HPC      20080304   CALL GD_INIT				*
C************************************************************************
	INCLUDE		'GEMPRM.PRM'
	PARAMETER	(IHDRSZ=2)
C*
	REAL		grd (LLMXTG), rnav(LLNNAV), anl(LLNANL)
	INTEGER		ighdr (IHDRSZ), level (2)
	CHARACTER	filnam*(LLMXLN), parm*12, prj*4
	CHARACTER*20	gdattm (2)
C------------------------------------------------------------------------
        CALL IN_BDTA  ( iperr )
	CALL GD_INIT  ( ierr )
        IF  ( iperr .ne. 0 )  THEN
	    WRITE (6,*) 'Cannot initialize GEMPAK.'
	    STOP
        END IF
C
C*	Read in name of text file.
C
	WRITE (6,*) ' Enter name of text file: '
	READ (5,'(A)') filnam
	CALL FL_SOPN ( filnam, lunin, ier )
	IF ( ier .ne. 0 ) THEN
	     WRITE (6,*) 'Cannot open input file.'
	     STOP
	END IF
C
C*	Open grid file.
C
	WRITE (6,*) ' Enter name of GEMPAK grid file: '
	READ (5,'(A)') filnam
	CALL GD_OPEN ( filnam, .true., LLNANL, LLNNAV, iflno, anl, rnav,
     +		       maxgrd, ier )	
	IF ( ier .ne. 0 ) THEN
	     WRITE (6,*) 'Cannot open ouput grid file.'
	     STOP
	END IF
	CALL GR_RNAV ( rnav, prj, nx, ny, ier )
C
C*	Read in the grid from text file.
C
	npts = nx * ny
	READ (lunin,'(20F4.0)',IOSTAT=ios) (grd(nxy),nxy=1,npts)
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) 'Cannot read from input file.'
	    STOP
	END IF
C
C*	Write the grid out.
C
	parm = 'CTLGRD'
	gdattm (1) = '000101/0000'
	gdattm (2) = ' '
	level (1) = 0
	level (2) = -1
	ivcord = 0
	DO i = 1, IHDRSZ
	    ighdr (i) = 0
	END DO
	CALL GD_WDAT ( iflno, grd, nx, ny, ighdr, gdattm, level,
     +		       ivcord, parm, 'true', ier )
	IF ( ier .ne. 0 ) THEN
	    WRITE (6,*) 'Error writing grid to GEMPAK grid file.'
	    STOP
	END IF
	STOP
	END
