	SUBROUTINE LISTDATA ( nobs, ogx, ogy, obs, for, scl, iret )
C************************************************************************
C* LISTDATA								*
C*									*
C* This subroutine lists obs and forecast data for testing purposes.	*
C*									*
C* LISTDAT ( NOBS, OGX, OGY, OBS, FOR, SCL, IRET )			*
C*									*
C* Input parameters:							*
C*	NOBS		INTEGER		Number of observation points	*
C*	OGX (NOBS)	REAL		Obs X frcst grid rel coordinates*
C*	OGY (NOBS)	REAL		Obs Y frcst grid rel coordinates*
C*	OBS (NOBS)	REAL		Observation values		*
C*	FOR (NOBS)	REAL		Forecast values at obs points	*
C*	SCL (NOBS)	REAL		Frcst grd box scale at obs pts  *
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*					  0 = normal return		*
C**									*
C* Log:									*
C* K. Brill/HPC         10/05						*
C************************************************************************
C*
	REAL		ogx (*), ogy (*), obs (*), for (*), scl (*)
C*
C------------------------------------------------------------------------
	iret = 0
C*
	OPEN ( UNIT=93, FILE='LISTDATA.txt', STATUS='UNKNOWN',
     +	       IOSTAT=ios )
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) 'LISTDATA.txt could not be created.'
	    iret = -99
	    RETURN
	END IF
C*
	WRITE (93,*) ' INDEX   X COORD   Y COORD  FORECAST',
     +	             ' OBSRVTION  GRD_BX_SZ'
	DO i = 1, nobs
	    WRITE (93, '(1X,I5,5(1X,F9.2))') i, ogx(i), ogy(i),
     +			for(i), obs(i), scl(i)
	END DO
C*
	CLOSE (UNIT=93)
C*
	RETURN
	END
