	SUBROUTINE GDLNVB ( proj, guarea, kxky, rnavo, navsz, iret )
C************************************************************************
C* GDMNVB								*
C*									*
C* This routine will create a GEMPAK grid navigation block.		*
C*									*
C* GUAREA combines the function of GRDAREA and CPYFIL.  If it begins	*
C* with #, a grid number is sought from the grid navigation table.  If	*
C* GUAREA contains the name of a GEMPAK grid file, that file serves as	*
C* the source for the navigation of GDOUTF.  Otherwise, GUAREA may be	*
C* an actual grid area with lat/lon bounds.  Only in this last case is	*
C* PROJ and KXKY information needed.					*
C*									*
C* GDLNVB ( PROJ, GUAREA, KXKY, RNAVO, NAVSZ, IRET )			*
C*									*
C* Input parameters:							*
C*	PROJ		CHAR*		Projection of grid to create	*
C*	GUAREA		CHAR*		Grid area of grid to create	*
C*	KXKY		CHAR*		Number of points for grid	*
C*									*
C* Output parameters:							*
C*	RNAVO (*)	REAL		Output file navigation block	*
C*	NAVSZ		INTEGER		Navigation block size		*
C*	IRET		INTEGER		Return code			*
C*					   0 = normal			*
C*					 -14 = Error in user nav input	*
C*					 -15 = Error reading nav tbl	*
C*									*
C**									*
C* Log:									*
C* K. Brill/HPC		 4/01	Derived from GDMHOG (GDDIAG2)		*
C* K. Brill/HPC		12/04	Changes for new DG/GD, see C==		*
C************************************************************************
	INCLUDE		'GEMPRM.PRM'
C*
	CHARACTER*(*)	proj, guarea, kxky
	REAL		rnavo (*)
C*
	CHARACTER	name*4, cprj*4
	REAL		anlblk (LLNANL), altln (4)
C------------------------------------------------------------------------
	iret  = 0
	navsz = 16
C
C*	Build new navigation block from the user input.
C
	IF ( guarea (1:1) .ne. '#' ) THEN
C
C*	    Try to get navigation block from an existing file.
C
C==	    CALL GD_OPNF ( guarea, .false., iflno, navsz, rnavo,
C==     + 			   ianl, anlblk, ihd, maxg, ierr )
	    CALL GD_OPEN ( guarea, .false., LLNANL, LLNNAV, iflno,
     +                     anlblk, rnavo, maxg, ierr )
            IF  ( ierr .ne. 0 )  THEN
C
C*		Use PROJ, KXKY, and GUAREA to navigate the grid.
C
		CALL GDMNAV ( proj, kxky, guarea, cprj, ikx, iky,
     +			      altln, rnavo, ierr )
		IF  ( ierr .ne. 0 )  THEN
		    iret = -14
		    CALL ER_WMSG ( 'GDPFR', iret, ' ', ier )
		    RETURN
		END IF
	    ELSE
		CALL GD_CLOS ( iflno, ier )
	    END IF
C*
	ELSE
C
C*	    CASE 2: Build navigation block from the grid navigation
C*	    table input.
C
	    CALL GDMTBL ( guarea, name, cprj, ikx, iky, altln,
     +			  rnavo, anlblk, ierr )
	    IF  ( ierr .ne. 0 )  THEN
		iret = -15
		CALL ER_WMSG ( 'GDPFR', iret, ' ', ier )
		RETURN
	    END IF
	END IF
	WRITE (6,*) ' CGAREA, PROJ, and/or KXKY inputs are valid.'
	WRITE (6,*) ' Verification grid navigation is set.'
C*
	RETURN
	END
