	PROGRAM MKTLST
C************************************************************************
C*  This program lists contents of a trace data file.			*
C*									*
C*  The following blank separated inputs are entered on the same line	*
C*  of standard input without any prompts:				*
C*									*
C*  	the trace data file name					*
C*	the plot number for which to list contents			*
C*									*
C*									*
C** Log:								*
C* K. Brill/EMC		12/97						*
C* K. Brill/HPC		 3/04	Change MXLNS from 16 to 24		*
C* K. Brill/HPC		 8/05	Increase 256 to 512			*
C* K. Brill/IMSG     20170928   Include version.f                       *
C************************************************************************
	PARAMETER	( MXLNS = 24 )
	CHARACTER*512	input
	CHARACTER*128	namnum (2), xlbl
	CHARACTER*64	genlbl (MXLNS), trclbl (MXLNS)
	CHARACTER*16	stat, parm
	INTEGER		nchrs (MXLNS), nfld (MXLNS)
	CHARACTER*5	gfldnm (MXLNS)
	CHARACTER*5	tfldnm (MXLNS)
C------------------------------------------------------------------------
        INCLUDE '../version.f'
C*
	luntd = 11
	luntt = 12
C
C*	WRITE (6,*) ' Enter the name of the trace data file & plot #:'
C
	READ (5,'(A)') input
	CALL ST_CLST ( input, ' ', ' ', 2, namnum, num, ier )
	OPEN ( UNIT=luntd, FILE=namnum (1), STATUS='OLD', IOSTAT=ios )
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) ' Cannot open ', namnum (1)
	    STOP 2
	END IF
	CALL ST_ILST ( namnum (2), ' ', 0, 1, iplt, num, ier )
C*
	CALL RDTD_INI ( luntd, nplts, iret )
	IF ( iret .ne. 0 ) THEN
	    CALL RDTD_ERR ( iret, 'RDTD_INI', ier )
	    STOP 3
	END IF
	IF ( iplt .ne. 0 ) THEN
	    nplts = iplt
	    iplt = iplt - 1
	ELSE IF ( iplt .gt. nplts ) THEN
	    WRITE (6,*) iplt, ' exceeds plot count = ', nplts
	    STOP 4
	END IF
	WRITE (6,*) ' '
	WRITE (6,*) ' Number of plots available = ', nplts
	DO WHILE ( iplt .lt. nplts .and. iret .eq. 0 )
	    IF ( iplt .ne. 0 ) THEN
		REWIND luntd
		CALL RDTD_INI ( luntd, nplts, ier )
	    END IF
	    iplt = iplt + 1
	    CALL RDTD_FND ( luntd, iplt, .false., ntrcs, itype, iret )
	    IF ( iplt .eq. nplts ) THEN
		OPEN ( UNIT=luntt, FILE='trace.num',
     +		       STATUS='UNKNOWN', IOSTAT=ios )
		WRITE (luntt,*,IOSTAT=ios) ntrcs, itype
		IF ( ios .ne. 0 ) THEN
		    WRITE (6,*) 'Cannot write to file trace.num'
		    STOP 5
		END IF
		CLOSE (luntt)
	    END IF
	    IF ( iret .ne. 0 ) CALL RDTD_ERR ( iret, ' ', ier )
	    IF ( iret .ge. 0 ) THEN
		WRITE (6,*) ' '
		IF ( itype .eq. 1 ) THEN
		    WRITE (6,*) ' PLOT # ',iplt, ' is a time series',
     +				' composed of ', ntrcs, ' trace(s).'
		ELSE IF ( itype .eq. 2 ) THEN
		    WRITE (6,*) ' PLOT # ',iplt, ' is a scatter plot',
     +				' composed of ', ntrcs, ' trace(s).'
		ELSE IF ( itype .eq. 3 ) THEN
		    WRITE (6,*) ' PLOT # ',iplt,
     +				' is a skill score plot',
     +				' composed of ', ntrcs, ' trace(s).'
		ELSE IF ( itype .eq. 4 ) THEN
		    WRITE (6,*) ' PLOT # ',iplt,
     +				' is a binned data plot',
     +				' composed of ', ntrcs, ' trace(s).'
		ELSE
		    WRITE (6,*) itype, ' is not a valid plot type.'
		    CLOSE (luntd)
		    STOP 1
		END IF
		CALL RDTD_XLB ( xlbl, nch, nxpt, nxcnd, ier )
		IF ( ier .eq. 0 ) THEN
		    WRITE (6,*) ' '
		    WRITE (6,*) ' INDEPENDENT VARIABLE FOR THIS PLOT: '
		    WRITE (6,*) ' '
		    WRITE (6,'(5X,A)') xlbl (1:nch)
		END IF
C*
		CALL RDTD_GLB ( MXLNS, nlns, genlbl, nchrs,
     +				gfldnm, nfld, stat, iret )
		IF ( iret .ne. 0 )
     +		  CALL RDTD_ERR ( iret, 'RDTD_GLB', ier )
		IF ( iret .eq. 0 .and. nlns .eq. 0 ) THEN
		    WRITE (6,*) ' '
		    WRITE (6,*) ' There are no general labels.'
		    WRITE (6,*) ' '
		    WRITE (6,*) ' STAT = ', stat
		ELSE IF ( iret .eq. 0 ) THEN
		    WRITE (6,*) ' '
		    WRITE (6,*) ' STAT = ', stat
		    WRITE (6,*) ' '
		    WRITE (6,1001)
1001		    FORMAT ('             GENERAL LABELS',/,
     +			    '  #  FLD NAM      LABEL' )
		    DO i = 1, nlns
			CALL ST_LSTR ( genlbl (i), lng, ier )
			WRITE (6,1002) i, gfldnm (i),
     +					genlbl (i) (1:lng)
1002			FORMAT (I3,3X,A5,4X,A)
		    END DO
		END IF
C*
		DO itrc = 1, ntrcs
		    CALL RDTD_TLB ( itrc, MXLNS, nlns, trclbl, nchrs,
     +				    tfldnm, nfld, stat, parm, iret )
		    IF ( iret .ne. 0 )
     +			CALL RDTD_ERR ( iret, 'RDTD_GLB', ier )
		    IF ( iret .eq. 0 ) THEN
			WRITE (6,*) ' '
		    WRITE (6,*) ' STAT = ', stat, ' PARM = ', parm
		    WRITE (6,*) ' '
			WRITE (6,1101) itrc
1101			FORMAT ('    TRACE # ',I2,' LABELS',/,
     +			    '  #  FLD NAM      LABEL' )
			DO i = 1, nlns
			    CALL ST_LSTR ( trclbl (i), lng, ier )
			    WRITE (6,1002) i, tfldnm (i),
     +						trclbl (i) (1:lng)
			END DO
		    END IF
		END DO
	    END IF
	END DO
	CLOSE (luntd)
	STOP
	END
