	PROGRAM MKPLOT
C************************************************************************
C*  This program finds and removes duplicate records from a VSDB file.  *
C*									*
C*  The following lines of input are read with no prompts:		*
C*									*
C*	1-  the name of a VSDB file					*
C*									*
C*  The output file without duplicate records has the name of the	*
C*  input file with _replace appended to it.				*
C*									*
C** Log:								*
C* K. Brill/EMC		 3/99						*
C* K. Brill/IMSG         8/16   Change bufr size to 512 characters      *
C************************************************************************
	PARAMETER	( MXRECS = 64000 )
	CHARACTER*128	filnam
	CHARACTER*512   bufr
	CHARACTER*80	chdrs ( MXRECS ), hedr
	INTEGER		lnhdr ( MXRECS )
	LOGICAL		fnddup
C------------------------------------------------------------------------
	lunin = 9
	lunou = 11
C
C*	Open the input file.
C
	lungc = 9
	READ (5,'(A)',IOSTAT=ios) filnam
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) ' Standard input for VSDB file',
     +			' name failed.'
	    STOP 1
	END IF
	CALL ST_LSTR ( filnam, lf, ier )
	OPEN ( UNIT=lunin, FILE=filnam, STATUS='OLD', IOSTAT=ios )
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) ' Cannot open ', filnam
	    STOP 2
	END IF
	fnddup = .false.
	ipass = 1
	indx = 0
	ndup = 0
	DO WHILE ( ipass .ne. 0 )
	    READ (lunin,'(A)',IOSTAT=ios) bufr
	    IF ( ios .eq. 0 ) THEN
		IF ( ipass .eq. 1 ) THEN
		    ieq = INDEX ( bufr, '=' )
		    IF ( ieq .le. 0 ) THEN
			WRITE (6,*) filnam (1:lf),
     +				' has an invalid record. '
			STOP
		    END IF
		    hedr = bufr (1:ieq-1)
		    CALL ST_RMBL ( hedr, hedr, lng, ier )
		    indx = indx + 1
		    chdrs ( indx ) = hedr (1:lng)
		    lnhdr ( indx ) = lng
		    DO j = 1, indx-1
			IF ( ABS (lnhdr (j)) .eq. lng ) THEN
			    IF ( chdrs (j) (1:lng) .eq. hedr (1:lng) )
     +			       THEN
				fnddup = .true.
				lnhdr (indx) = -lng
				ndup = ndup + 1
			    END IF
			END IF
		    END DO
		ELSE
		    indx = indx + 1
		    IF ( lnhdr (indx) .gt. 0 ) THEN
			CALL ST_LSTR ( bufr, lnn, ier )
			WRITE (lunou,'(A)') bufr (1:lnn)
		    END IF
		END IF
	    ELSE IF ( indx .ne. 0 ) THEN
		IF ( ipass .eq. 1 ) THEN
		    IF ( fnddup ) THEN
			ipass = 2
			indx = 0
		        REWIND (lunin)
			filnam = filnam (1:lf) // '_replace'
			OPEN ( UNIT=lunou, FILE=filnam,
     +			       STATUS='NEW', IOSTAT=ios )
			IF ( ios .ne. 0 ) THEN
			    WRITE (6,*) ' Cannot open ',
     +					filnam (1:lf+8)
			    ipass = 0
			END IF
		    ELSE
			ipass = 0
		    END IF
		ELSE
		    ipass = 0
		END IF
	    ELSE
		WRITE (6,*) ' No records were read'
		ipass = 0
	    END IF
	    IF ( indx .eq. MXRECS ) THEN
		WRITE (6,*) ' # of records in ', filnam (1:lf),
     +			    ' exceeds ', MXRECS
		WRITE (6,*) ' ', filnam (1:lf), '_replace ',
     +			    'not created. '
		ipass = 0
	    END IF
	END DO
	WRITE (6,*) ' # of duplications in ', filnam (1:lf),
     +		    ' = ', ndup
C*
	CLOSE (lunin)
	CLOSE (lunou)
	STOP
	END
