	PROGRAM UNCMPCTVSDB
C************************************************************************
C*  Prgram to convert compact VSDB files to full VSDB files without	*
C*  duplicate header fields marked by substitution characters.		*
C*									*
C*  Log:								*
C*  K. Brill/HPC	 2/04						*
C*  K. Brill/HPC	 8/05	Increase 256 to 512			*
C************************************************************************
	PARAMETER	(NRECS=500)
	CHARACTER*132	filnam
	CHARACTER*512  rcrd (NRECS)
C------------------------------------------------------------------------
	lun = 12
	luno = 99
	WRITE (6,*) ' Enter input VSDB file name:'
	READ (5,'(A)') filnam
	CALL VSDB_OPN ( lun, filnam, 'r', iret )
	IF ( iret .ne. 0 ) THEN
	    CALL VSDB_ERR ( iret, 'VSDB_OPN', ier )
	    STOP 1
	END IF
	WRITE (6,*) ' Enter output VSDB file name:'
	READ (5,'(A)') filnam
	OPEN ( UNIT=luno, FILE=filnam, STATUS='NEW', IOSTAT=ios )
	IF ( ios .ne. 0 ) THEN
	    WRITE (6,*) 'Cannot open output file. '
	    STOP 1
	END IF
C*
	nrecrd = 0
	iret = 0
	DO WHILE ( iret .eq. 0 )
	    CALL VSDB_RDD ( lun, NRECS, rcrd, nr, iret )
	    IF ( iret .ne. 0 ) THEN
	        CALL VSDB_ERR ( iret, 'VSDB_RDD', ier )
		IF ( iret .lt. 0 ) STOP 1
	    END IF
	    IF ( nr .gt. 0 ) THEN
		DO ir = 1, nr
		    CALL ST_LSTR ( rcrd (ir), ln, ier )
		    WRITE (luno,'(A)') rcrd (ir) (1:ln)
		END DO
		nrecrd = nrecrd + nr
	    END IF
	END DO
	CLOSE ( UNIT = luno )
	CLOSE ( UNIT = lun )
	WRITE (6,*)  nrecrd, ' records uncompacted and written.'
	IF ( nrecrd .eq. 0 ) STOP 1
	STOP
	END
