	SUBROUTINE RDTD_DMP ( iret )
C************************************************************************
C* RDTD_DMP								*
C*									*
C* This subroutine dumps specified blocks in rdtd.cmn			*
C*									*
C* RDTD_DMP ( IRET )							*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		11/97						*
C* K. Brill/EMC		12/97	Removed FHOFLG; output STATNM, PARMNM	*
C* K. Brill/EMC		 6/98	Multiple temp conditions		*
C* K. Brill/HPC		01/00	FORMAT X to 1X for Linux		*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
	LOGICAL		done
C*------------------------------------------------------------------------
	iret = 0
	done = .false.
C*
	DO WHILE ( .not. done )
	    WRITE (6,*) ' '
	    WRITE (6,*) ' Select the common region to dump: '
	    WRITE (6,*) ' '
	    WRITE (6,*) '  1 - GENCON  2 - TRCCON  3 - INVCON'
	    WRITE (6,*) '  4 - TMPCON  5 - TRACES  6 - LBLPRM'
	    WRITE (6,*) ' '
	    WRITE (6,*) ' Enter number or 0 to stop.'
	    WRITE (6,*) ' '
	    READ (5,*) iq
	    IF ( iq .le. 0 ) THEN
		done = .true.
	    ELSE IF ( iq .eq. 1 ) THEN
		WRITE (6,*) ' '
		WRITE (6,*) ' CND  CMP  FLD   CONDITION 1',
     +			    '               CONDITION 2'
1101		FORMAT (1X,3(I3,2X),A24,2X,A24)
		DO i = 1, ngncnd
		    DO j = 1, ngenls (i)
			WRITE (6,1101)  i, ngctyp (i), ngcfld (i),
     +					cgcnd1 (i,j),
     +					cgcnd2 (i)
		    END DO
		END DO
	    ELSE IF ( iq .eq. 2 ) THEN
		WRITE (6,*) ' '
		WRITE (6,*) ' Enter # of trace for conditions:'
		READ (5,*) itrc
		IF ( itrc .le. 0 .or. itrc .gt. ntrace ) THEN
		    WRITE (6,*) ' Trace number is invalid.'
		ELSE
		    WRITE (6,*) ' CND  CMP  FLD   CONDITION 1',
     +			        '               CONDITION 2'
		    DO i = 1, ntrcnd (itrc)
			DO j = 1, ntrcls (itrc,i)
			WRITE (6,1101) i,
     +				     ktctyp (itrc,i), ktcfld (itrc,i),
     +					ctcnd1 (itrc,i,j),
     +					ctcnd2 (itrc,i)
		    END DO
		END DO
		END IF	
	    ELSE IF ( iq .eq. 3 ) THEN
		WRITE (6,*) ' '
		WRITE (6,*) ' CND  CMP  FLD   CONDITION 1',
     +			    '               CONDITION 2'
		DO i = 1, nivcnd
		    DO j = 1, ncells
			WRITE (6,1101)  i, kivtyp (i,j), kivfld (i),
     +					civcn1 (i,j),
     +					civcn2 (i,j)
		    END DO
		END DO
	    ELSE IF ( iq .eq. 4 ) THEN
		WRITE (6,*) ' '
		WRITE (6,*) ' There are ', ntmpcn, ' temp conditions.'
		WRITE (6,*) ' '
		IF ( kgsame .and. ntmpcn .gt. 1 ) THEN
		    WRITE (6,*) ' Temp conditions are identical.'
		ELSE IF ( .not. kgsame ) THEN
		    WRITE (6,*) ' Temp conditions differ.'
		END IF
		WRITE (6,*) ' LST  CMP  FLD   CONDITION 1',
     +			    '               CONDITION 2'
		DO i = 1, ntmpcn
		    WRITE (6,*) ' Condition # ', i
		    DO j = 1, ntmpls (i)
			WRITE (6,1101)  j, kgctyp (i), kgcfld (i),
     +					kgcnd1 (i,j),
     +					kgcnd2 (i)
		    END DO
		END DO
	    ELSE IF ( iq .eq. 5 ) THEN
	        WRITE (6,*) ' '
		WRITE (6,1001) ' Plot type = ',iptype,' Label type = ',
     +				lbltyp,' # of traces = ',ntrace
1001		FORMAT (A,I5,A,A1,A,I5)
		WRITE (6,*) ' Number of pointers = ', npntrs
	        WRITE (6,*) ' '
		WRITE (6,1002) ' ktstrt (1-5) = ' , (ktstrt(kk),kk=1,5)
1002		FORMAT (A,5I5)
	        WRITE (6,*) ' '
		WRITE (6,*) ' TRC # & ID  NPNTS NDPTH ',
     +			    'CMB         STAT            ',
     +			    '         PARM'
		DO i = 1, ntrace
		    WRITE (6,1003) i, ntrlst (i), ntrpts (i),
     +				   ndepth (i), icombo (i),
     +				   statnm (i), parmnm (i)
1003		    FORMAT (1X,I3,4X,I3,2X,I5,1X,I5,1X,I3,1X,A24,1X,A24)
		END DO
	        WRITE (6,*) ' '
		WRITE (6,*) ' Enter trace number to print: '
		READ (5,*) itrc
		WRITE (6,*) ' Enter trace depth index to print: '
		READ (5,*) idpth
		WRITE (6,*) ' Enter starting and ending trace indexes',
     +			   ' to print: '
		READ (5,*) is, ie
		IF ( itrc .le. 0 .or. itrc .gt. ntrace ) THEN
		    WRITE (6,*) ' Invalid trace number.'
		ELSE IF ( idpth .le. 0 .or. idpth .gt. ndepth (itrc) )
     +		THEN
		    WRITE (6,*) ' Invalid trace depth index.'
		ELSE IF ( ie .lt. is .or. is .le. 0 .or.
     +			  ie .gt. ntrpts (itrc) ) THEN
		    WRITE (6,*) ' Invalid trace point bounds.'
		ELSE
		    WRITE (6,*) ' '
		    WRITE (6,*) ' INDX  KPNTR  KMNTS   REAL TRCDAT ',
     +				'   X_REAL LABEL   X_CHAR LABEL'
1004		    FORMAT (1X,I4,2X,I5,2X,I5,2X,1PD13.5,2X,E13.5,2X,A)
		    DO i = is, ie
			WRITE (6,1004)  i, kpntrs(i), kmnuts (itrc,i),
     +				 	dtrace (itrc,idpth,i),
     +					xrlbls (itrc,i),
     +					xclbls (itrc,i)
		    END DO
		END IF
	    ELSE IF ( iq .eq. 6 ) THEN
		DO i = 1, MXPLBL
		    WRITE (6,*) ' Field # ',i,' = ',prmlbl (i)
		END DO
	    END IF
	END DO
C*
	RETURN
	END
