	SUBROUTINE RDTD_INI ( luntd, nplts, iret )
C************************************************************************
C* RDTD_INI								*
C*									*
C* This subroutine initializes the trace plot data structure and	*
C* determines the number of plots in the trace data file connected to	*
C* unit LUNTD.								*
C*									*
C* RDTD_INI should be called before calling RDTD_FND, which finds the	*
C* data for a specific plot designated by number.			*
C*									*
C* RDTD_INI ( LUNTD, NPLTS, IRET )					*
C*									*
C* Input parameters:							*
C*	LUNTD		INTEGER		Unit number of trace data file	*
C*									*
C* Output parameters:							*
C*	NPLTS		INTEGER		# of plots in trace data file	*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					 -1 = invalid header record	*
C*					 -2 = too few condition records *
C*					 -4 = no EOCF record in file	*
C**									*
C* Log:									*
C* K. Brill/EMC		11/97						*
C* K. Brill/EMC		12/97	Remove FHOFLG, add STATNM & PARMNM	*
C* K. Brill/EMC		 4/98	Initialize LTAXIS			*
C* K. Brill/EMC		 6/98	Multiple conditons in TMPCON		*
C* K. Brill/EMC		 1/99	Initialize LOGUNI, LAGSET, KPLTID	*
C* K. Brill/HPC		 6/00	Initialize WGTWWX, NWTWWX		*
C* K. Brill/HPC		 9/00	Change WGTWWX, NWTWWX to PRBWWX, NPBWWX *
C* K. Brill/HPC		 9/00	Move probability init to RDTD_FND	*
C* K. Brill/HPC		12/01	Initialize DRECNM			*
C* K. Brill/HPC		10/02	Initialize STATIV			*
C* K. Brill/HPC		 7/03	Initialize REINIT; remove LAGSET	*
C* K. Brill/HPC		11/03	Initialize ALPTMS			*
C* K. Brill/HPC		 3/05	Initialize CIVCTL			*
C* K. Brill/HPC      20060906	Initialize TRKTRC			*
C* K. Brill/HPC      20070119   Initialize elements of npbwwx()		*
C* K. Brill/HPC      20120327   Initialize nembrs & cstatc		*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
	CHARACTER*80	recrd
	INTEGER		ihdr (7)
C*------------------------------------------------------------------------
	iret = 0
	REWIND luntd
C
C*	Initilize PRBLTY --- moved to RDTD_FND.
C
C*	Initialize GENCON.
C
	ngncnd = 0
	DO j = 1, MXDVCN
	    ngctyp (j) = 0
	    ngcfld (j) = 0
	    cgcnd2 (j) = ' '
	    ngenls (j) = 0
	END DO
	DO j = 1, MXDVLS
	    DO i = 1, MXDVCN
		cgcnd1 (i,j) = ' '
	    END DO
	END DO
	nembrs = 0
	cstatc = ' '
C
C*	Initialize TRCCON and number of PBS probability values.
C
	DO i = 1, MXTRCS
	    ntrcnd (i) = 0
	    npbwwx (i) = 0
	END DO
	DO j = 1, MXDVCN
	    DO i = 1, MXTRCS
		ktctyp (i,j) = 0
		ktcfld (i,j) = 0
		ctcnd2 (i,j) = ' '
		ntrcls (i,j) = 0
	    END DO
	END DO
	DO i = 1, MXTRCS
	    civctl (i) = ' '
	END DO
	DO k = 1, MXDVLS
	    DO j = 1, MXDVCN
		DO i = 1, MXTRCS
		    ctcnd1 (i,j,k) = ' '
		END DO
	    END DO
	END DO
C
C*	Initialize INVCON
C
	nivcnd = 0
	ncells = 0
	DO k = 1, MXIVPT
	    DO j = 1, MXIVCN
		kivtyp (j,k) = 0
		civcn1 (j,k) = ' '
		civcn2 (j,k) = ' '
	    END DO
	END DO
	DO k = 1, MXIVCN
	    kivfld (k) = 0
	END DO
	stativ = ' '
C
C*	Initialize TMPCON.
C
	ntmpcn = 0
	kgsame = .true.
	DO i = 1, MXTRCS
	    kgctyp (i) = 0
	    kgcfld (i) = 0
	    DO j = 1, MXDVLS
		kgcnd1 (i,j) = ' '
	    END DO
	    kgcnd2 (i) = ' '
	    ntmpls (i) = 0
	END DO
C
C*	Initialize TRACES.
C
	DO k = 1, MXDPTS
	    DO j = 1, MXDPTH
		DO i = 1, MXTRCS
		    dtrace (i,j,k) = -1.1E31
		END DO
	    END DO
	    DO j = 1, NNL1L2
		trktrc (j,k) = -1.1E31
	    END DO
	END DO
	DO k = 1, MXDPTS
	    kpntrs (k) = k
	END DO
	npntrs = 0
	DO j = 1, MXDPTS
	    DO i = 1, MXTRCS
		drecnm (i,j) = -1.
		kmnuts (i,j) = j
		xrlbls (i,j) = -1.1E31
		xclbls (i,j) = ' '
	    END DO
	END DO
	DO i = 1, MXTRCS
	    ntrlst (i) = 0
	    ntrpts (i) = 0
	    statnm (i) = ' '
	    parmnm (i) = ' '
	    ndepth (i) = 0
	    icombo (i) = 0
	    alptms (i) = .false.
	END DO
	reinit = .false.
	lbltyp = ' '
	ltaxis = .true.
	ntrace = 0
	iptype = 0
	loguni = luntd
	kpltid = 0
	DO k = 1, 5
	    ktstrt (k) = 0
	END DO
	prmlbl (1) = 'VRSN#'
	prmlbl (2) = 'MODEL'
	prmlbl (3) = 'FHOUR'
	prmlbl (4) = 'FWNDO'
	prmlbl (5) = 'VYMDH'
	prmlbl (6) = 'VWNDO'
	prmlbl (7) = 'TMINC'
	prmlbl (8) = 'V_ANL'
	prmlbl (9) = 'V_RGN'
	prmlbl (10) = 'STATS'
	prmlbl (11) = 'THRSH'
	prmlbl (12) = 'PARAM'
	prmlbl (13) = 'LVLID'
	prmlbl (14) = 'LEVEL'
	prmlbl (15) = 'VHHMM'
	prmlbl (16) = 'COUNT'
	prmlbl (17) = 'DV_01'
	prmlbl (18) = 'DV_02'
	prmlbl (19) = 'DV_03'
	prmlbl (20) = 'DV_04'
	prmlbl (21) = 'DV_05'
	prmlbl (22) = 'DV_06'
	prmlbl (23) = 'DV_07'
	prmlbl (24) = 'DV_08'
C
C*	Read through the input file.
C
	nplts = 0
	ios = 0
	recrd = ' '
	DO WHILE ( ios .eq. 0 .and. recrd (1:4) .ne. ENDHDR )
	    READ ( luntd, '(A)', IOSTAT=ios ) recrd
	    IF ( ios .eq. 0 .and. recrd (1:4) .ne. ENDHDR ) THEN
		CALL ST_ILST ( recrd, ' ', -99, 7, ihdr, num, ier )
		IF ( num .ne. 7 ) THEN
		    iret = -1
		    RETURN
		END IF
		nplts = MAX ( nplts, ihdr (6) )
		icnt = 0
		DO WHILE ( ios .eq. 0 .and. icnt .lt. ihdr (5) )
		    READ (luntd,'(A)',IOSTAT=ios) recrd
		    icnt = icnt + 1
		END DO
		IF ( ios .ne. 0 ) THEN
		    iret = -2
		    RETURN
		END IF
	    END IF
	END DO
	IF ( ios .ne. 0 ) THEN
	    iret = -4
	END IF
	REWIND luntd
C*
	RETURN
	END
