	SUBROUTINE RDTD_MVL ( itrc, rmiss, mxpts, xpts, trcdat, npts,
     +			      rlbl, clbl, iret )
C************************************************************************
C* RDTD_MVL								*
C*									*
C* This subroutine fills missing values into gaps found in a time	*
C* series trace.							*
C*									*
C* RDTD_MVL ( ITRC, RMISS, MXPTS, XPTS, TRCDAT, NPTS, RLBL, CLBL, IRET )*
C*									*
C* Input parameters:							*
C*	ITRC		INTEGER		Trace number			*
C*	RMISS		REAL		Missing value			*
C*	MXPTS		INTEGER		Maximum # of points allowed	*
C*									*
C* Input and output parameters:						*
C*	XPTS (NPTS)	REAL		Time values of trace points	*
C*	TRCDAT (NPTS)	REAL*8		Trace values at the points	*
C*	NPTS		INTEGER		Number of points in trace	*
C*									*
C*									*
C* Output parameters:							*
C*	RLBL		REAL		Real labels (assigned missing)	*
C*	CLBL		CHAR*		Character date labels		*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					-38 = too many points added	*
C**									*
C* Log:									*
C* K. Brill/EMC		 6/98						*
C* K. Brill/EMC		10/98	Add .4 and .2 in FORMAT of WRITE	*
C* K. Brill/EMC		 2/99   Fill only if FRAC > 1.5			*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
	CHARACTER*(*)	clbl (*)
	REAL*8		trcdat (*)
	REAL		rlbl (*), xpts (*)
C*
	INTEGER		jdtm (5)
C*------------------------------------------------------------------------
	iret = 0
C
C*	Find most frequent interval.
C
	itot = 0
	istrt = 0
	mstfc = 0
	mstfi = 0
	DO WHILE ( istrt .lt. (npts-1) .and. itot .lt. (npts-1) )
	    istrt = istrt + 1
	    icnt = 0
	    intrvl = kmnuts (itrc, istrt+1) - kmnuts (itrc, istrt)
	    DO i = istrt+1, (npts-1)
		ichk = kmnuts (itrc, i+1) - kmnuts (itrc,i)
		IF ( ichk .eq. intrvl ) THEN
		    icnt = icnt + 1
		    itot = itot + 1
		END IF
	    END DO
	    IF ( icnt .gt. mstfc ) THEN
		mstfc = icnt
		mstfi = intrvl
	    END IF
	END DO
C
C*	Load existing labels.
C
	DO i = 1, npts
	    clbl (i) = xclbls (itrc,i)
	END DO
	IF ( mstfc .eq. 0 .or. mstfi .eq. 0 ) RETURN
C
C*	Check for holes longer than the most frequent interval.
C
	istrt = 1
	mntlst = kmnuts (itrc,istrt)
	mpts = npts
	istop = 0
	DO WHILE ( istrt .lt. mpts )
	    intrvl = kmnuts (itrc, istrt+1) - mntlst
	    frac = FLOAT ( intrvl ) / FLOAT ( mstfi )
	    istop = istop + 1
	    DO WHILE ( intrvl .gt. mstfi .and. frac .gt. 1.5 )
		istop = istop + 1
		npts = npts + 1
		IF ( npts .gt. mxpts ) THEN
		    iret = -38
		    RETURN
		END IF
		DO ip = npts, istop+1, -1
		    trcdat (ip) = trcdat (ip-1)
		    xpts (ip) = xpts (ip-1)
		    clbl (ip) = clbl (ip-1)
		END DO
		mntlst = mntlst + mstfi
		trcdat (istop) = rmiss
                xpts (istop) = FLOAT ( mntlst ) / 1440.D00
		intrvl = kmnuts (itrc, istrt+1) - mntlst
C
C*		Make the correct label.
C
		CALL TI_ADDM  ( ktstrt, mntlst, jdtm, iret )
		WRITE ( clbl (istop), '(I4.4,4I2.2)' )
     +		 ( jdtm (ix), ix = 1, 5 )
	    END DO
	    istrt = istrt + 1
	    mntlst = kmnuts (itrc,istrt)
	END DO
C*
	RETURN
	END
