	SUBROUTINE RDTD_SIC ( luntd, nt, ihdr, iret )
C************************************************************************
C* RDTD_SIC								*
C*									*
C* This subroutine stores an independent variable condition from a	*
C* trace data file.							*
C*									*
C* LUNTD is the unit number to which the trace data file is connected.	*
C*									*
C* RDTD_SIC ( LUNTD, NT, IHDR, IRET )					*
C*									*
C* Input parameters:							*
C*	LUNTD		INTEGER		Unit number of trace data file	*
C*	NT		INTEGER		Number of trace being read	*
C*	IHDR (7)	INTEGER		Header record information	*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					 -2 = too few condition records *
C*					 -7 = cell count disagreement	*
C*					 -3 = invalid condition record	*
C*					 -8 = invalid condition type #	*
C**									*
C* Log:									*
C* K. Brill/EMC		11/97						*
C* K. Brill/HPC		10/02	Assign STATIV if ind var is stat type	*
C* K. Brill/HPC		 3/05	Save trace potential trace lbl info	*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
	INTEGER		ihdr (7)
C*
	CHARACTER*80	recrd
	CHARACTER*32	carr (5), astr
C*------------------------------------------------------------------------
	iret = 0
	ncn = ihdr (5)
C
C*	Check for cell count agreement.
C
	IF ( ncells .eq. 0 ) THEN
	    ncells = ncn
	ELSE IF ( ncells .ne. ncn ) THEN
	    iret = -7
	    RETURN
	END IF
	IF ( nt .eq. 1 ) nivcnd = nivcnd + 1
	ipt = 0
	ios = 0
	recrd = ' '
	DO WHILE ( ios .eq. 0 .and. recrd (1:4) .ne. ENDHDR .and.
     +		   ipt .lt. ncn )
	    READ ( luntd, '(A)', IOSTAT=ios ) recrd
	    IF ( ios .eq. 0 .and. recrd (1:4) .ne. ENDHDR ) THEN
		ipt = ipt + 1
		CALL ST_CLST ( recrd, ' ', ' ', 5, carr, num, ier )
		IF ( num .ne. 5 ) THEN
		    iret = -3
		    RETURN
		ELSE IF ( nt .eq. 1 ) THEN
		    CALL ST_NUMB ( carr (1), icntyp, ier )
		    IF ( ier .ne. 0 ) THEN
			iret = -8
			RETURN
		    END IF
		    IF ( icntyp .eq. 0 ) THEN
			civcn1 (nivcnd,ipt) = 'ALL'
			civcn2 (nivcnd,ipt) = ' '
		    ELSE IF ( icntyp .lt. 10 ) THEN
			civcn1 (nivcnd,ipt) = carr (2)
			IF ( icntyp .ge. 5 .and. icntyp .le. 8 ) THEN
			    civcn2 (nivcnd,ipt) = carr (3)
			END IF
		    ELSE 
			civcn1 (nivcnd,ipt) = carr (4)
			IF ( icntyp .ge. 14 .and. icntyp .le. 17 ) THEN
			    civcn2 (nivcnd,ipt) = carr (5)
			END IF
		    END IF
		    kivtyp (nivcnd,ipt) = icntyp
		    IF ( ihdr (2) .eq. 10 .and. stativ .eq. ' ' ) THEN
			stativ = civcn1 (nivcnd,ipt)
		    END IF
		END IF
		IF ( ipt .eq. 1 .and. nivcnd .eq. 1 ) THEN
C
C*		    Save potential trace label information.
C
		    CALL ST_NUMB ( carr (1), icntyp, ier )
		    IF ( ier .ne. 0 ) THEN
			iret = -8
			RETURN
		    END IF
		    IF ( icntyp .eq. 0 ) THEN
			astr = 'ALL'
		    ELSE
			astr = ' '
			DO i = 2, 5
			    IF ( carr (i) .ne. '0' ) THEN
				CALL ST_LSTR ( carr(i), ll, ier )
				CALL ST_LSTR ( astr, la, ier )
				astr = astr(1:la) // carr(i)(1:ll)
			    END IF
		    	END DO
		    END IF
		    civctl ( nt ) = astr
		END IF
	    ELSE
		iret = -2
		RETURN
	    END IF
	END DO
	IF ( nt .eq. 1 ) kivfld (nivcnd) = ihdr (2)
C*
	RETURN
	END
