	SUBROUTINE RDTD_TLG ( itrc, ibk, thlag, iret )
C************************************************************************
C* RDTD_TLG								*
C*									*
C* This subroutine performs threshold lag adjustment of N, the total	*
C* data count FHO values.						*
C*									*
C* If IBK = 1 the previous treshold value of F+O-H is used for N.  If	*
C* IBK = 2, the second previous threshold value of F+O-H is used for N,	*
C* and so on for higher values of IBK.  The first IBK thresholds keep	*
C* their original values of N.						*
C*									*
C*									*
C* RDTD_TLG ( ITRC, IBK, THLAG, IRET )					*
C*									*
C* Input parameters:							*
C*	ITRC		INTEGER		Trace number			*
C*	IBK		INTEGER		Number of thresholds to lag	*
C*									*
C* Output parameters:							*
C*	THLAG		CHAR*4		Bias adjustment name string	*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					-48 = invalid lag #		*
C*					-49 = lag adjustment invalid	*
C**									*
C* Log:									*
C* K. Brill/HPC		 7/03						*
C************************************************************************
	INCLUDE		'rdtd.cmn'
C*
	CHARACTER*(*)	thlag
C*
	REAL*8		tn, f, h, o
C*------------------------------------------------------------------------
	iret = 0
C*
	IF ( ibk .eq. 1 ) THEN
	    thlag = 'TL=1'
	ELSE IF ( ibk .eq. 2 ) THEN
	    thlag = 'TL=2'
	ELSE IF ( ibk .eq. 3 ) THEN
	    thlag = 'TL=3'
	ELSE IF ( ibk .eq. 4 ) THEN
	    thlag = 'TL=4'
	ELSE IF ( ibk .eq. 5 ) THEN
	    thlag = 'TL=5'
	ELSE IF ( ibk .eq. 6 ) THEN
	    thlag = 'TL=6'
	ELSE IF ( ibk .eq. 7 ) THEN
	    thlag = 'TL=7'
	ELSE IF ( ibk .eq. 8 ) THEN
	    thlag = 'TL=8'
	ELSE IF ( ibk .eq. 9 ) THEN
	    thlag = 'TL=9'
	ELSE IF ( ibk .eq. 0 ) THEN
	    thlag = ' '
	    RETURN
	ELSE
	    iret = -48
	    RETURN
	END IF
C*
	IF ( ibk .eq. 0 ) RETURN
C*
	np = ntrpts ( itrc )
	nd = ndepth ( itrc )
	IF ( nd .ne. 4 ) THEN
	    iret = -49
	    RETURN
	END IF
	DO ip = np, ibk+1, -1
	    tn = dtrace (itrc,1,ip)
	    f  = dtrace (itrc,2,ip-ibk)
	    h  = dtrace (itrc,3,ip-ibk)
	    o  = dtrace (itrc,4,ip-ibk)
            IF ( tn .gt. -1.E30 .and.
     +		 f  .gt. -1.E30 .and.
     +		 h  .gt. -1.E30 .and.
     +		 o  .gt. -1.E30 .and.
     +		 tn .ne. 0.0 ) THEN
C
C*		Change only the data count.
C
		dtrace(itrc,1,ip) = f + o - h
	   END IF
	END DO
	reinit = .true.
C*
	RETURN
	END
