	SUBROUTINE RSMP_SIZ ( nsmp, iret )
C************************************************************************
C* RSMP_SIZ								*
C*									*
C* This subroutine sets the number of Monte Carlo trials to perform.	*
C*									*
C* RSMP_SIZ  ( NSMP, IRET )						*
C*									*
C* Input/Output parameters:						*
C*	NSMP		INTEGER		Input: requested # of samples	*
C*					Output: actual # of samples	*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/HPC      20120416	Created					*
C* K. Brill/HPC      20120706   Make nsmp an output parameter as well	*
C************************************************************************
C*
	INCLUDE		'rsmp.cmn'
C*
C*------------------------------------------------------------------------
	iret = 0
C*
	IF ( nsmp .lt. 100 ) THEN
	    WRITE (6,*) '  Number of resampling trials is too small.'
	ELSE IF ( nsmp .gt. 10002 ) THEN
	    WRITE (6,*) '  Number of resampling trials is too large.'
	ELSE
	    nsmpls = nsmp
	    RETURN
	END IF
	nsmpls = 2000
	nsmp = nsmpls
	WRITE (6,*) ' Number of resampling trials set to 2000.'
C*
	RETURN
	END
