	SUBROUTINE SRCH_LBL ( itrc, jivcn, ipt, iret )
C************************************************************************
C* SRCH_LBL								*
C*									*
C* This subroutine creates bin labels when multiple bin conditions set	*
C* both real and character conditions.					*
C*									*
C* The labels are stored in the BINLBL array in the SRCH COMMON area.	*
C*									*
C* SRCH_LBL ( ITRC, JIVCN, IPT, IRET )					*
C*									*
C* Input parameters:							*
C*	ITRC		INTEGER		Trace number for this data	*
C*	JIVCN		INTEGER		Independent variable cond #	*
C*	IPT		INTEGER		Point number on the trace	*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/EMC		10/02						*
C************************************************************************
	INCLUDE		'srch.cmn'
C*
	LOGICAL		same, done
	CHARACTER*24	cond1, cond2, csav
C*-----------------------------------------------------------------------
	iret = 0
C*
	ncmx = LEN ( binlbl (itrc,ipt) )
	CALL ST_LSTR ( binlbl (itrc,ipt), nlbl, ier )
C
C*	If any two labels are the same add new information before old.
C
	same = .false.
	IF ( nlbl .gt. 0 .and. ipt .gt. 1 ) THEN
	    ip = 0
	    DO WHILE ( .not. same .and. ip .lt. ipt )
		ip = ip + 1
		jp = ip
		DO WHILE ( .not. same .and. jp .lt. ipt )
		    jp = jp + 1
		    same = ( binlbl (itrc,jp) .eq. binlbl (itrc,ip) )
		END DO
	    END DO
	END IF
C*
	ictyp = kivcod ( itrc, jivcn, ipt )
	IF ( ictyp .eq. 0 ) THEN
	    cond1 = 'WILD'
	    cond2 = ' '
        ELSE IF ( ictyp .ge. 10 ) THEN
C
C*	    Character type condition.
C
	    cond1 = civcnd ( itrc, jivcn, ipt, 1 )
	    cond2 = civcnd ( itrc, jivcn, ipt, 2 )

        ELSE
	    rtst = rivcnd (itrc,jivcn,ipt,1)
	    IF ( ABS ( FLOAT ( INT (rtst) ) - rtst ) .lt. 1.E-05 ) THEN
		irt = INT (rtst)
		CALL ST_INCH ( irt, cond1, ier )
	    ELSE
                CALL ST_RLCH ( rivcnd (itrc,jivcn,ipt,1),
     +				2, cond1, ier )
	    END IF
	    IF ( ictyp .ge. 5 .and. ictyp .le. 8 ) THEN
		rtst = rivcnd (itrc,jivcn,ipt,2)
		IF ( ABS ( FLOAT ( INT (rtst) ) - rtst ) .lt. 1.E-05 )
     +		THEN
		    irt = INT (rtst)
		    CALL ST_INCH ( irt, cond2, ier )
		ELSE
		    CALL ST_RLCH ( rivcnd (itrc,jivcn,ipt,2),
     +				   2, cond2, ier )
		END IF
	    ELSE
		cond2 = ' '
	    END IF
	END IF
C
C*	Check for matching parts of cond1 and cond2.
C
	CALL ST_LSTR ( cond1, n1, ier )
	IF ( cond2 .ne. ' ' ) THEN
	    CALL ST_LSTR ( cond2, n2, ier )
	    nm = MIN (n1, n2)
	    nb = 0
	    done = .false.
	    DO WHILE ( .not. done .and. nb .lt. nm )
		nb = nb + 1
		done = ( cond2 (nb:nb) .ne. cond1 (nb:nb) )
	    END DO
	    ne = MAX (n1, n2) + 1
	    done = .false.
	    DO WHILE ( .not. done .and. ne .gt. nb )
		ne = ne - 1
		done = ( cond2 (ne:ne) .ne. cond1 (ne:ne) )
	    END DO
	    IF ( ne - nb .gt. 0 ) THEN
	        cond1 = cond1(1:n1) // '-' // cond2 (nb:ne)
	        CALL ST_LSTR ( cond1, n1, ier )
	    END IF
	END IF
C
C*	Load blank label with everything.
C
	IF ( nlbl .eq. 0 ) THEN
	    binlbl (itrc,ipt) = cond1 (1:n1)
	    RETURN
	END IF
C*
	ntot = n1 + nlbl
	IF ( ntot .gt. ncmx .and. same ) THEN
C
C*	    Switch previous labels around.
C
	    DO i = 1, ipt-1
		iq = INDEX ( binlbl (itrc,i), '&' )
		IF ( iq .gt. 0 .and. iq .lt. ncmx ) THEN
		    csav = binlbl (itrc,i) (iq+1:)
		    CALL ST_LSTR ( csav, ls, ier )
		    binlbl (itrc,i) = csav (1:ls) // '&' //
     +				      binlbl (itrc,i) (1:iq-1)
		END IF
	    END DO
	    binlbl (itrc,ipt) = cond1 (1:n1) // '&' //
     +				binlbl (itrc,ipt) (1:nlbl)
	    RETURN
	END IF
	binlbl (itrc,ipt) = binlbl (itrc,ipt)(1:nlbl) // '&'
     +			    // cond1 (1:n1)
C*
	RETURN
	END
