	SUBROUTINE SRCH_LUN ( luno, filnam, iotype, iret )
C************************************************************************
C* SRCH_LUN								*
C*									*
C* This subroutine sets the logical unit number to which to write	*
C* records found acceptable using the current search conditions.	*
C*									*
C* LUNO is initialized to 0 by SRCH_INI; so, no output is the default.	*
C* If this routine is called with a file name and nonzero LUNO, then	*
C* output will be done.							*
C*									*
C* SRCH_LUN ( LUNO, FILNAM, IOTYPE, IRET )				*
C*									*
C* Input parameters:							*
C*	LUNO		INTEGER		Output unit number		*
C*	FILNAM		CHAR*		File name to connect to LUNO	*
C*	IOTYPE		CHAR*1		Type of output:			*
C*					  w = write to a new file	*
C*					  a = append to old file	*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					-26 = cannot open output file	*
C*					-27 = invalid LUNO		*
C**									*
C* Log:									*
C* K. Brill/EMC		 7/97						*
C************************************************************************
	INCLUDE		'srch.cmn'
	CHARACTER*(*)	filnam
	CHARACTER*1	iotype
C*
C*------------------------------------------------------------------------
	iret = 0
	IF ( luno .le. 0 ) THEN
	    iret = -27
	    RETURN
	END IF
	CALL VSDB_OPN ( luno, filnam, iotype, ier )
	IF ( ier .ne. 0 ) THEN
	    CALL VSDB_ERR ( ier, filnam, iii )
	    iret = -26
	    RETURN
	END IF
	lunout = luno
C*
	RETURN
	END
