	SUBROUTINE SRCH_NCC ( itrc, mstfrq, iret )
C************************************************************************
C* SRCH_NCC								*
C*									*
C* This subroutine combines single trace data at trace point locations	*
C* with no combination restrictions.					*
C*									*
C* SRCH_NCC ( ITRC, MSTFRQ, IRET )					*
C*									*
C* Input parameters:							*
C*	ITRC		INTEGER		Trace number			*
C*	MSTFRQ		INTEGER		Most frequent count value	*
C*									*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*					 +1 = data counts differ--ok	*
C*				 	  0 = normal return 		*
C*					 -3 = invalid combination code	*
C*					-50 = trace has 0 points	*
C**									*
C* Log:									*
C* K. Brill/EMC		 3/98						*
C* K. Brill/EMC		 4/99	Data rejection diagnostic count		*
C* K. Brill/HPC		 8/00	DTMSV *12 -> *(NCKCHR)			*
C* K. Brill/HPC		10/02	Set the BINMTY array for conditionally	*
C*				determined ind. variable points		*
C************************************************************************
	INCLUDE		'srch.cmn'
C*
	REAL*8		rhold (MXDPTH), r1, rn
	CHARACTER*(NCKCHR)	dtmsv
C*-----------------------------------------------------------------------
	iret = 0
	iaccp = 0
	ndat = 0
	DO ipnt = 1, ndatap (itrc)
	    IF ( kounts (itrc,ipnt) .ne. mstfrq ) THEN
		iret = +1
	    END IF
	    DO jd = 1, ndepth (itrc)
		rhold (jd) = 0.0
	    END DO
	    in = 0
	    icnt = 0
	    DO WHILE ( in .lt. nxtelm (itrc) .and.
     +			icnt .lt. kounts (itrc,ipnt) )
		in = in + 1
		IF ( kpoint (itrc,in) .eq. ipnt ) THEN
		    iaccp = iaccp + 1
		    iswap = in
		    dtmsv = conchk (itrc,in)
		    icnt = icnt + 1
		    IF ( kdvcmb (itrc) .eq. 0 ) THEN
			DO jd = 1, ndepth (itrc)
			    rhold (jd) = dtrace (itrc,jd,in)
			END DO
		    ELSE IF ( kdvcmb (itrc) .eq. 1 ) THEN
			DO jd = 1, ndepth (itrc)
			    rhold (jd) = rhold (jd) +
     +					 dtrace (itrc,jd,in)
			END DO
		    ELSE IF ( kdvcmb (itrc) .eq. 2 ) THEN
			DO jd = 1, ndepth (itrc)
			    IF ( jd .eq. indxdc (itrc) ) THEN
				rhold (jd) = rhold (jd) +
     +					     dtrace (itrc,jd,in)
			    ELSE
				r1 = dtrace (itrc,indxdc(itrc),in)
				rn = dtrace (itrc,jd,in)
				rhold (jd) = rhold (jd) + r1 * rn
			    END IF
			END DO
		    ELSE 
			iret = -3
			RETURN
		    END IF
		END IF
	    END DO
	    IF ( icnt .ne. 0 ) THEN
		ndat = ndat + 1
		DO jd = 1, ndepth (itrc)
		    dtrace (itrc,jd,iswap) = dtrace (itrc,jd,ndat)
		    dtrace (itrc,jd,ndat) = rhold (jd)
		END DO
		conchk (itrc,iswap) = conchk (itrc,ndat)
		conchk (itrc,ndat) = dtmsv
		kpoint (itrc,iswap) = kpoint (itrc,ndat)
		kpoint (itrc,ndat) = ipnt
C
C*		Set counts and labels for this point.
C
		kounts (itrc,ndat) = icnt
		ctrcid (itrc,ndat) = ctrcid (itrc,ipnt)
		rtrcid (itrc,ndat) = rtrcid (itrc,ipnt)
	    ELSE IF ( kivnpt (itrc) .gt. 1 ) THEN
		binmty (itrc,ipnt) = .true.
	    END IF
	END DO
	kaccpt (itrc) = iaccp
C
C*	Set final data count for this trace.
C
	ndatap (itrc) = ndat
	IF ( ndat .eq. 0 ) iret = -50
C*
	RETURN
	END
