	SUBROUTINE SRCH_PDZ ( itrc, iret )
C************************************************************************
C* SRCH_PDZ								*
C*									*
C* This subroutine pads in zero elements to the list of search finds	*
C* for a single trace so that it has the same number of verification	*
C* times at each point.							*
C*									*
C* SRCH_PDZ ( ITRC, IRET )						*
C*									*
C* Input parameters:							*
C*	ITRC		INTEGER		Trace number			*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code			*
C*				 	  0 = normal return 		*
C*					-47 = too many elements		*
C**									*
C* Log:									*
C* K. Brill/EMC		 3/98						*
C* K. Brill/EMC		 4/99	Output # of dummy records padded	*
C* K. Brill/HPC		 8/00	DTMSV *12 -> *(NCKCHR)			*
C* K. Brill/HPC		 5/03	Use MAXKNT, MAXTRC, & MAXPNT to maximize*
C*				padding					*
C* K. Brill/HPC		 6/03	Remove MAXKNT, MAXTRC, & MAXPNT; restore*
C*				to previous version of code		*
C************************************************************************
	INCLUDE		'srch.cmn'
C*
	CHARACTER*(NCKCHR)	verdat
C*------------------------------------------------------------------------
	iret = 0
C
C*	Find the maximum number of contributions through all points.
C
	kpad = 0
	mxpnt = 0
	mxcnt = 0
	DO i = 1, ndatap (itrc)
	    IF ( kounts (itrc,i) .gt. mxcnt ) THEN
		mxcnt = kounts (itrc,i)
		mxpnt = i
	    END IF
	END DO
C
C*	LOOP:  Find next verification time & do a count.
C
	nmbr = 1
	DO WHILE ( nmbr .ne. 0 )
	    verdat = ' '
	    n = 0
	    nmbr = 0
	    DO WHILE ( n .lt. nxtelm (itrc) )
		n = n + 1
		IF ( kpoint (itrc,n) .eq. mxpnt .and.
     +		     verdat .eq. ' ' ) THEN
		    verdat = conchk (itrc,n)
		    nmbr = nmbr + 1
		    kpoint (itrc,n) = -kpoint (itrc,n)
		ELSE IF ( kpoint (itrc,n) .eq. mxpnt .and.
     +			  conchk (itrc,n) .eq. verdat ) THEN
		    nmbr = nmbr + 1
		    kpoint (itrc,n) = -kpoint (itrc,n)
		END IF
	    END DO
C
C*	    LOOP:  Scan all other points, count occurrences of
C*	    VERDAT and pad on zero entries.
C
	    IF ( nmbr .ne. 0 ) THEN
		DO ipt = 1, ndatap (itrc)
		    IF ( kounts (itrc,ipt) .lt. mxcnt ) THEN
			icnt = 0
			DO n = 1, nxtelm (itrc)
			    IF ( kpoint (itrc,n) .eq. ipt .and.
     +				 conchk (itrc,n) .eq. verdat ) THEN
				icnt = icnt + 1
			    END IF
			END DO
			IF ( icnt .lt. nmbr ) THEN
			    DO iadd = icnt + 1, nmbr
				next = nxtelm (itrc) + 1
				IF ( next .lt. MAXNXT ) THEN
				    kpoint (itrc,next) = ipt
				    conchk (itrc,next) = verdat
				    DO idp = 1, ndepth (itrc)
					dtrace (itrc,idp,next) = 0.0
				    END DO
				    kounts (itrc,ipt) =
     +						kounts (itrc,ipt) + 1
				    nxtelm (itrc) = next
				    kpad = kpad + 1
				ELSE
				    iret = -47
				    RETURN
				END IF
			    END DO
			END IF
		    END IF
		END DO
	    END IF
	END DO
C
C*	Restore negative values of KPOINT.
C
	DO n = 1, nxtelm (itrc)
	    IF ( kpoint (itrc,n) .lt. 0 )
     +		kpoint (itrc,n) = -kpoint (itrc,n)
	END DO
	kntpad (itrc) = kpad
C*
	RETURN
	END
