	SUBROUTINE USR_GETP ( iplot, luntd, iptype, genlbl, xaxlbl,
     +			      yaxlbl, cxlbls, rxlbls, xlbtyp, trcdat,
     +			      nx, ndpth, ntrcs, iret )
C************************************************************************
C*  USR_GETP								*
C*									*
C*  This subroutine searches a trace data file to find all the traces	*
C*  for plot number IPLOT.						*
C*									*
C*  TRCDAT is treated as a single dimension array in this subroutine.	*
C*  On return, it may be treated as a three dimensional array inside	*
C*  other routines to which it may be passed.  Its dimensions as such	*
C*  are (NX,NDPTH,NTRCS).  Since
C*  not all of the traces may have had data at the same values of the	*
C*  independent variable, MISSING values (-1.1E31) are stored at any	*
C*  index corresponding to a defined element of CXLBLS or RXLBLS for	*
C*  which this trace has no data.  In this sense, the traces have been	*
C*  "merged" so that there is only one complete array of values of the	*
C*  independent variable (either CXLBLS or RXLBLS).
C*									*
C*  USR_GETP ( LUN, MAXPNM, IRET )					*
C*									*
C*  Input parameters:							*
C*	LUN		INTEGER		Unit number connected to file	*
C*									*
C*  Output parameters:							*
C*	MAXPNM		INTEGER		Number of plots defined		*
C*	IRET		INTEGER		Return code			*
C*					 -1 = invalid header record	*
C*					 -2 = too few condition recs	*
C*					 -6 = file rewind failed	*
C*									*
C* Log:									*
C* K. Brill/EMC		10/97						*
C************************************************************************
C*
	CHARACTER*128	inrec
	INTEGER		ihdr (7)
C------------------------------------------------------------------------
	iret = 0
	maxpnm = 0
C*
	REWIND ( UNIT=lun, IOSTAT=ios )
	IF ( ios .ne. 0 ) THEN
	    iret = -6
	    RETURN
	END IF
	inrec = ' '
	DO WHILE ( ios .eq. 0 )
	    READ (lun,'(A)',IOSTAT=ios) inrec
	    ios = ios + INDEX ( inrec, 'EOCF' )
	    IF ( ios .eq. 0 ) THEN
		CALL ST_ILST ( inrec, ' ', -99, 7, ihdr, num, ier )
		IF ( num .ne. 7 .or. ier .lt. 0 ) THEN
		    iret = -1
		    RETURN
		END IF
		IF ( ihdr (6) .gt. maxpnm ) maxpnm = ihdr (6)
		ncn = ihdr (5)
		DO i = 1, ncn
		    READ (lun,'(A)',IOSTAT=ios) inrec
		    IF ( ios .ne. 0 ) THEN
			iret = -2
			RETURN
		    END IF
		END DO
	    END IF
	END DO
	RETURN
	END
