	SUBROUTINE VSDB_RXS  ( string, outstr, length, iret )
C************************************************************************
C* VSDB_RXS								*
C*									*
C* This subroutine removes extra spaces and tabs from a string.  Only	*
C* single blanks will separate substrings.  The input and output 	*
C* strings may be the same variable.					*
C*									*
C* VSDB_RXS  ( STRING, OUTSTR, LENGTH, IRET )				*
C*									*
C* Input parameters:							*
C*	STRING		CHAR*		String				*
C*									*
C* Output parameters:							*
C*	OUTSTR		CHAR*		String without blanks		*
C*	LENGTH		INTEGER		Length of output string		*
C*	IRET		INTEGER		Return code			*
C*				   	 0 = normal return 		*
C**									*
C* Log:									*
C* K. Brill/HPC		 3/04	Created from GEMPAK ST_RMBL & ST_LSTR	*
C************************************************************************
C*
	CHARACTER*(*)	string, outstr
C*
	CHARACTER	c*1, sss*512, ttt*512
	CHARACTER*1	CHSPAC, CHTAB, CHNULL
C-----------------------------------------------------------------------
	CHSPAC = CHAR (32)
	CHTAB  = CHAR (9)
	CHNULL = CHAR (0)
	iret   = 0
	sss    = string
	ttt    = ' '
C
C*	Get the actual length of the string.
C
	lens = LEN  ( sss )
	IF  ( lens .eq. 0 )  RETURN
C
C*	Start at last character and loop backwards.
C
	ip = lens
	DO WHILE  ( ip .gt. 0 )
C
C*	    Get current value of string and check for space, null, tab.
c
	    c = sss ( ip : ip )
	    IF  ( ( c .eq. CHSPAC ) .or. ( c .eq. CHNULL ) .or.
     +		  ( c .eq. CHTAB  ) )  THEN
		lens = lens - 1
		ip   = ip - 1
	      ELSE
		ip   = 0
	    END IF
	END DO
	IF  ( lens .eq. 0 )  RETURN
C
C*	Remove extra spaces.
C
	ispac  = 0
	length = 0
	DO  j = 1, lens
	    c = sss (j:j)
	    IF  ( ( c .ne. CHSPAC ) .and. ( c .ne. CHTAB  ) ) THEN
	        length = length + 1
	        ttt (length:length) = c 
	        ispac = 0
	      ELSE
	        IF  ( ispac .eq. 0 .and. length .gt. 0 )  THEN
	            length = length + 1
	            ttt (length:length) = ' '
	            ispac = 1
	        END IF
	    END IF
	END DO
C
C*	Make sure the end of the string is blank.
C
	lens = LEN ( ttt )
	IF  ( lens .gt. length )  ttt ( length+1 : ) = ' '
C*
	outstr = ttt
C*
	RETURN
	END
